Index: trunk/SRC/Obsolete/lec.pro
===================================================================
--- trunk/SRC/Obsolete/lec.pro	(revision 253)
+++ trunk/SRC/Obsolete/lec.pro	(revision 254)
@@ -71,5 +71,5 @@
 ; @returns
 ; un tableau 2 ou 3d. sans le mot cle /TOUT, sa taille est
-; celle du sous domaine definit par domdef (nx,ny,nz). avec /TOUT le
+; celle du sous domaine definit par <pro>domdef</pro>(nx,ny,nz). avec /TOUT le
 ; champ a la taille du  domaine qui a etait selectionne pour la
 ; cession en cours (jpi,jpj,jpk).
Index: trunk/SRC/Obsolete/nlec.pro
===================================================================
--- trunk/SRC/Obsolete/nlec.pro	(revision 253)
+++ trunk/SRC/Obsolete/nlec.pro	(revision 254)
@@ -32,5 +32,5 @@
 ;
 ; @keyword TOUT
-; oblige a lire le tableau entier en non pas celui reduit a domdef
+; oblige a lire le tableau entier en non pas celui reduit a <pro>domdef</pro>
 ;
 ; @keyword STRUCTURE
Index: trunk/SRC/Obsolete/nlec5j.pro
===================================================================
--- trunk/SRC/Obsolete/nlec5j.pro	(revision 253)
+++ trunk/SRC/Obsolete/nlec5j.pro	(revision 254)
@@ -34,5 +34,5 @@
 ;
 ; @keyword TOUT
-; oblige a lire le tableau entier en non pas celui reduit a domdef
+; oblige a lire le tableau entier en non pas celui reduit a <pro>domdef</pro>
 ;
 ; @keyword _EXTRA
Index: trunk/SRC/Obsolete/nlecan.pro
===================================================================
--- trunk/SRC/Obsolete/nlecan.pro	(revision 253)
+++ trunk/SRC/Obsolete/nlecan.pro	(revision 254)
@@ -31,5 +31,5 @@
 ;
 ; @keyword TOUT
-; oblige a lire le tableau entier en non pas celui reduit a domdef
+; oblige a lire le tableau entier en non pas celui reduit a <pro>domdef</pro>
 ;
 ; @keyword _EXTRA
Index: trunk/SRC/Obsolete/nlecmois.pro
===================================================================
--- trunk/SRC/Obsolete/nlecmois.pro	(revision 253)
+++ trunk/SRC/Obsolete/nlecmois.pro	(revision 254)
@@ -16,5 +16,5 @@
 ;
 ; @keyword TOUT
-; oblige a lire le tableau entier en non pas celui reduit a domdef
+; oblige a lire le tableau entier en non pas celui reduit a <pro>domdef</pro>
 ;
 ; @keyword _EXTRA
Index: trunk/SRC/Obsolete/nlecsaison.pro
===================================================================
--- trunk/SRC/Obsolete/nlecsaison.pro	(revision 253)
+++ trunk/SRC/Obsolete/nlecsaison.pro	(revision 254)
@@ -32,5 +32,5 @@
 ;
 ; @keyword TOUT
-; oblige a lire le tableau entier en non pas celui reduit a domdef
+; oblige a lire le tableau entier en non pas celui reduit a <pro>domdef</pro>
 ;
 ; @keyword _EXTRA
Index: trunk/SRC/Obsolete/nlecserie.pro
===================================================================
--- trunk/SRC/Obsolete/nlecserie.pro	(revision 253)
+++ trunk/SRC/Obsolete/nlecserie.pro	(revision 254)
@@ -29,5 +29,5 @@
 ;
 ; @keyword TOUT
-; oblige a lire le tableau entier en non pas celui reduit a domdef
+; oblige a lire le tableau entier en non pas celui reduit a <pro>domdef</pro>
 ;
 ; @keyword _EXTRA
Index: trunk/SRC/ToBeReviewed/CALCULS/grossemoyenne.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/grossemoyenne.pro	(revision 253)
+++ trunk/SRC/ToBeReviewed/CALCULS/grossemoyenne.pro	(revision 254)
@@ -16,6 +16,6 @@
 ;
 ; @keyword BOXZOOM
-; [xmin,xmax,ymin,ymax (,(zmin,)zmax)] to more details, see domdef
-; boxzoom can have 5 forms:
+; [xmin,xmax,ymin,ymax (,(zmin,)zmax)] to more details, see <pro>domdef</pro>
+; boxzoom can have 5 forms :
 ; [vert2], [vert1, vert2],[lon1, lon2, lat1, lat2],
 ; [lon1, lon2, lat1, lat2, vert2],[lon1, lon2, lat1, lat2, vert1,vert2]
@@ -61,5 +61,5 @@
 ; result:un tableau
 ; common
-; domdef
+; <pro>domdef</pro>
 ;
 ; @restrictions
Index: trunk/SRC/ToBeReviewed/CALCULS/moyenne.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/moyenne.pro	(revision 253)
+++ trunk/SRC/ToBeReviewed/CALCULS/moyenne.pro	(revision 254)
@@ -15,5 +15,5 @@
 ;
 ; @keyword BOXZOOM
-; [xmin,xmax,ymin,ymax (,(zmin,)zmax)] to more details, see domdef
+; [xmin,xmax,ymin,ymax (,(zmin,)zmax)] to more details, see <pro>domdef</pro>
 ; boxzoom can have 5 forms:
 ;  [vert2],
@@ -47,5 +47,5 @@
 ; @uses
 ; common
-; domdef
+; <pro>domdef</pro>
 ;
 ; @restrictions
Index: trunk/SRC/ToBeReviewed/CALCULS/norme.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/norme.pro	(revision 253)
+++ trunk/SRC/ToBeReviewed/CALCULS/norme.pro	(revision 254)
@@ -21,5 +21,5 @@
 ; @keyword BOXZOOM
 ; boxzoom on which do the average (by default the domain selected
-; by the last domdef done)
+; by the last <pro>domdef</pro> done)
 ;
 ; @keyword DIREC
@@ -41,5 +41,5 @@
 ; When we calculate on a reduce geographic domain, field U and V have not
 ; necessarily the same number of point. In this case, we recut U and V to
-; keep only common points. We profit of this to redo a domdef which redefine
+; keep only common points. We profit of this to redo a <pro>domdef</pro> which redefine
 ; a geographic domain on which fields U and V are extracted on same points
 ;
Index: trunk/SRC/ToBeReviewed/GRILLE/decoupeterre.pro
===================================================================
--- trunk/SRC/ToBeReviewed/GRILLE/decoupeterre.pro	(revision 253)
+++ trunk/SRC/ToBeReviewed/GRILLE/decoupeterre.pro	(revision 254)
@@ -2,9 +2,11 @@
 ;
 ; @file_comments
-; Similar to grille. Here, when vargrid is not 'T' or 'W', we have to
-; recuperate Tmask, glamt, gphit and the array of triangulation on the
-; considered sub-domain for the drawing. The specificity of decoupeterre
-; in comparaison with grille, is that we take, if possible, a sub-domain
-; just a little bit bigger than the one defined by domdef in order to be
+; Similar to <pro>grille</pro>. 
+; Here, when vargrid is not 'T' or 'W', we have to
+; recuperate tmask, glamt, gphit and the array of triangulation on the
+; considered sub-domain for the drawing. 
+; The specificity of decoupeterre, in comparaison with <pro>grille</pro>, is 
+; that we take, if possible, a sub-domain just a little bit bigger than the 
+; one defined by <pro>domdef</pro> in order to be
 ; sure that the mask we draw will cover over all the drawing.
 ;
Index: trunk/SRC/ToBeReviewed/GRILLE/domdef.pro
===================================================================
--- trunk/SRC/ToBeReviewed/GRILLE/domdef.pro	(revision 253)
+++ trunk/SRC/ToBeReviewed/GRILLE/domdef.pro	(revision 254)
@@ -27,5 +27,5 @@
 ; @keyword ENDPOINTS {type=vector}
 ; A four elements vector [x1,y1,x2,y2] used to specify
-; that domdef must define the box used to make a plot (pltz, pltt,
+; that <pro>domdef</pro> must define the box used to make a plot (pltz, pltt,
 ; plt1d) done strictly along the line (that can have any direction)
 ; starting at (x1, y1) ending at (x2, y2). When defining endpoints,
@@ -48,25 +48,28 @@
 ; box which do not concern the same array indexes. This is sometimes a
 ; problem (or at least serious complications) in programs where several
-; type of grid intervene (see norme, curl...). Activate MEMEINDICE to
-; force domdef to take same indexes -those of the grid T- for all other
-; grids.
+; type of grid intervene (see norme, curl...). 
+; Activate MEMEINDICES to force <pro>domdef</pro> to take same indexes - those 
+; of the grid T- for all other grids.
 ;
 ; @keyword INDEX
-; We activate it if we want that all elements passed in input of domdef
-; refer to indexes of glam, gphi and gdep arrays rather than to values
-; of these arrays.
+; We activate it if we want that all elements passed in input of 
+; <pro>domdef</pro> refer to indexes of glam, gphi and gdep arrays rather 
+; than to values of these arrays.
 ;
 ; @keyword XINDEX
-; We activate it if we want that all elements passed in input of domdef
+; We activate it if we want that all elements passed in input of 
+; <pro>domdef</pro> 
 ; and concerning the X dimension refer to indexes of glam arrays rather
 ; than to values of these arrays.
 ;
 ; @keyword YINDEX
-; We activate it if we want that all elements passed in input of domdef
+; We activate it if we want that all elements passed in input of 
+; <pro>domdef</pro>
 ; and concerning the X dimension refer to indexes of gphi arrays rather
 ; than to values of these arrays.
 ;
 ; @keyword ZINDEX
-; We activate it if we want that all elements passed in input of domdef
+; We activate it if we want that all elements passed in input of 
+; <pro>domdef</pro>
 ; and concerning the X dimension refer to indexes of gdep arrays rather
 ; than to values of these arrays.
Index: trunk/SRC/ToBeReviewed/GRILLE/tracegrille.pro
===================================================================
--- trunk/SRC/ToBeReviewed/GRILLE/tracegrille.pro	(revision 253)
+++ trunk/SRC/ToBeReviewed/GRILLE/tracegrille.pro	(revision 254)
@@ -6,8 +6,8 @@
 ; @categories
 ;
-; @param GLAMIN {in}{optional}{type=1d or 2d array}{default=glam specified by vargrid, on the domain defined by domdef}
+; @param GLAMIN {in}{optional}{type=1d or 2d array}{default=glam specified by vargrid, on the domain defined by <pro>domdef</pro>}
 ; Longitude of points of the grid.
 ;
-; @param GPHIIN {in}{optional}{type=1d or 2d array}{default=gphi specified by vargrid, on the domain defined by domdef}
+; @param GPHIIN {in}{optional}{type=1d or 2d array}{default=gphi specified by vargrid, on the domain defined by <pro>domdef</pro>}
 ; Latitude of points of the grid.
 ;
Index: trunk/SRC/ToBeReviewed/PLOTS/DESSINE/plt.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DESSINE/plt.pro	(revision 253)
+++ trunk/SRC/ToBeReviewed/PLOTS/DESSINE/plt.pro	(revision 254)
@@ -35,5 +35,6 @@
 ; 6 elements: The extraction is made on Boxzoom
 ;
-; Where lon1, lon2,lat1,lat2 are global variables defined at the last domdef!
+; Where lon1, lon2,lat1,lat2 are global variables defined at the last 
+; <pro>domdef</pro> !
 ;
 ; @keyword REALCONT
Index: trunk/SRC/ToBeReviewed/PLOTS/DESSINE/plt1d.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DESSINE/plt1d.pro	(revision 253)
+++ trunk/SRC/ToBeReviewed/PLOTS/DESSINE/plt1d.pro	(revision 254)
@@ -40,7 +40,8 @@
 ; 6 elements: The extraction is made on Boxzoom
 ;
-; Where lon1, lon2,lat1,lat2,vert1,vert2 are global variables defined at the last domdef!
-;
-; @keyword COL1d
+; Where lon1, lon2,lat1,lat2,vert1,vert2 are global variables defined at the last 
+; <pro>domdef</pro> !
+;
+; @keyword COL1D
 ;  --OBSOLETE--Color number when we make a trace 1d by default, 0.
 ; It is better to use the keyword COLOR used by plot.
Index: trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltt.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltt.pro	(revision 253)
+++ trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltt.pro	(revision 254)
@@ -46,5 +46,6 @@
 ; 6 elements: The extraction is made on Boxzoom
 ;
-; Where lon1, lon2,lat1,lat2,vert1,vert2 are global variables defined at the last domdef!
+; Where lon1, lon2,lat1,lat2,vert1,vert2 are global variables defined at the last 
+; <pro>domdef</pro> !
 ;
 ; @keyword CONTINTERVALLE
Index: trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltv.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltv.pro	(revision 253)
+++ trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltv.pro	(revision 254)
@@ -31,5 +31,6 @@
 ; 6 elements: The extraction is made on Boxzoom
 ;
-; Where lon1, lon2, lat1, lat2 are global variables defined at the last domdef!
+; Where lon1, lon2, lat1, lat2 are global variables defined at the last 
+; <pro>domdef</pro> !
 ;
 ; @keyword C_NAN {default=!d.n_colors < 255}
Index: trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltz.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltz.pro	(revision 253)
+++ trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltz.pro	(revision 254)
@@ -32,5 +32,6 @@
 ; 6 elements: The extraction is made on Boxzoom
 ;
-; Where lon1, lon2,lat1,lat2 are global variables defined at the last domdef!
+; Where lon1, lon2,lat1,lat2 are global variables defined at the last 
+; <pro>domdef</pro> !
 ;
 ; @keyword CONTINTERVALLE
Index: trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/buildcmd.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/buildcmd.pro	(revision 253)
+++ trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/buildcmd.pro	(revision 254)
@@ -15,5 +15,6 @@
 ;   5 elements: The extraction is made on [Boxzoom[0:3], 0, Boxzoom[4]]
 ;   6 elements: The extraction is made on Boxzoom
-; Where lon1, lon2,lat1,lat2 are global variables defined at the last domdef!
+; Where lon1, lon2,lat1,lat2 are global variables defined at the last 
+; <pro>domdef</pro> !
 ;
 ; @keyword FORCETYPE
Index: trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/buildreadcmd.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/buildreadcmd.pro	(revision 253)
+++ trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/buildreadcmd.pro	(revision 254)
@@ -18,5 +18,6 @@
 ;   5 elements: The extraction is made on [Boxzoom[0:3], 0, Boxzoom[4]]
 ;   6 elements: The extraction is made on Boxzoom
-; Where lon1, lon2,lat1,lat2 are global variables defined at the last domdef!
+; Where lon1, lon2,lat1,lat2 are global variables defined at the last 
+; <pro>domdef</pro> !
 ;
 ; @keyword COMPLETE
Index: trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/changefield.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/changefield.pro	(revision 253)
+++ trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/changefield.pro	(revision 254)
@@ -18,5 +18,6 @@
 ;   5 elements: The extraction is made on [Boxzoom[0:3], 0, Boxzoom[4]]
 ;   6 elements: The extraction is made on Boxzoom
-; Where lon1, lon2,lat1,lat2 are global variables defined at the last domdef!
+; Where lon1, lon2,lat1,lat2 are global variables defined at the last 
+; <pro>domdef</pro> !
 ;
 ; @returns
Index: trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/changefile.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/changefile.pro	(revision 253)
+++ trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/changefile.pro	(revision 254)
@@ -18,5 +18,6 @@
 ;   5 elements: The extraction is made on [Boxzoom[0:3], 0, Boxzoom[4]]
 ;   6 elements: The extraction is made on Boxzoom
-; Where lon1, lon2,lat1,lat2 are global variables defined at the last domdef!
+; Where lon1, lon2,lat1,lat2 are global variables defined at the last 
+; <pro>domdef</pro> !
 ;
 ; @keyword DATE1
Index: trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/read_vermair.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/read_vermair.pro	(revision 253)
+++ trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/read_vermair.pro	(revision 254)
@@ -24,5 +24,6 @@
 ;   5 elements: The extraction is made on [Boxzoom[0:3], 0, Boxzoom[4]]
 ;   6 elements: The extraction is made on Boxzoom
-; Where lon1, lon2,lat1,lat2 are global variables defined at the last domdef!
+; Where lon1, lon2,lat1,lat2 are global variables defined at the last 
+; <pro>domdef</pro> !
 ;
 ; @keyword _EXTRA
Index: trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_domain.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_domain.pro	(revision 253)
+++ trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_domain.pro	(revision 254)
@@ -516,5 +516,6 @@
 ;   5 elements: The extraction is made on [Boxzoom[0:3], 0, Boxzoom[4]]
 ;   6 elements: The extraction is made on Boxzoom
-; Where lon1, lon2,lat1,lat2 are global variables defined at the last domdef!
+; Where lon1, lon2,lat1,lat2 are global variables defined at the last 
+; <pro>domdef</pro>!
 ;
 ; @keyword _EXTRA
Index: trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_slide_slice.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_slide_slice.pro	(revision 253)
+++ trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_slide_slice.pro	(revision 254)
@@ -177,5 +177,6 @@
 ;   5 elements: The extraction is made on [Boxzoom[0:3], 0, Boxzoom[4]]
 ;   6 elements: The extraction is made on Boxzoom
-; Where lon1, lon2,lat1,lat2 are global variables defined at the last domdef!
+; Where lon1, lon2,lat1,lat2 are global variables defined at the last 
+; <pro>domdef</pro> !
 ;
 ; @keyword COLUMN
Index: trunk/SRC/ToBeReviewed/WIDGET/slec.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/slec.pro	(revision 253)
+++ trunk/SRC/ToBeReviewed/WIDGET/slec.pro	(revision 254)
@@ -24,5 +24,6 @@
 ;   5 elements: The extraction is made on [Boxzoom[0:3], 0, Boxzoom[4]]
 ;   6 elements: The extraction is made on Boxzoom
-; where lon1,lon2,lat1,lat2 are global variables defined at the last domdef!
+; where lon1,lon2,lat1,lat2 are global variables defined at the last 
+; <pro>domdef</pro> !
 ;
 ; @keyword _EXTRA
Index: trunk/SRC/Utilities/fitintobox.pro
===================================================================
--- trunk/SRC/Utilities/fitintobox.pro	(revision 253)
+++ trunk/SRC/Utilities/fitintobox.pro	(revision 254)
@@ -4,5 +4,5 @@
 ; Check that the input array has size and dimensions
 ; compatible with the domain that was defined with the previous call
-; of domdef.
+; of <pro>domdef</pro>.
 ;
 ; @categories