Index: trunk/SRC/Colors/lct.pro
===================================================================
--- trunk/SRC/Colors/lct.pro	(revision 259)
+++ trunk/SRC/Colors/lct.pro	(revision 260)
@@ -25,5 +25,5 @@
 ;
 ; @keyword _EXTRA
-; Used to pass keywords to <proidl>loadct</proidl>
+; Used to pass keywords to <proidl>LOADCT</proidl>
 ;
 ; @history
Index: trunk/SRC/Colors/newpalette.pro
===================================================================
--- trunk/SRC/Colors/newpalette.pro	(revision 259)
+++ trunk/SRC/Colors/newpalette.pro	(revision 260)
@@ -19,5 +19,5 @@
 ;
 ; @keyword _EXTRA
-; Used to pass keywords to <proidl>modifyct</proidl>
+; Used to pass keywords to <proidl>MODIFYCT</proidl>
 ;
 ; @history
Index: trunk/SRC/Colors/xlct.pro
===================================================================
--- trunk/SRC/Colors/xlct.pro	(revision 259)
+++ trunk/SRC/Colors/xlct.pro	(revision 260)
@@ -401,5 +401,5 @@
 ;
 ; @file_comments
-; Like <proidl>xloadct<proidl> but fastest to write and call by default 
+; Like <proidl>XLOADCT<proidl> but fastest to write and call by default 
 ; the palette palette.tbl which can be in any directory
 ;
Index: trunk/SRC/Colors/xpal.pro
===================================================================
--- trunk/SRC/Colors/xpal.pro	(revision 259)
+++ trunk/SRC/Colors/xpal.pro	(revision 260)
@@ -460,9 +460,9 @@
 ;
 ; @file_comments
-; Like <proidl>xpalette</proidl> but shorter to write and, moreover,
+; Like <proidl>XPALETTE</proidl> but shorter to write and, moreover,
 ; possess a hotkey save which (thanks to the <pro>newpalette</pro> routine)
 ; allows to save the routine that we have just done. Comment: when we
 ; press the predefined hotkey, it calls <pro>xlct</pro> instead of
-; <proidl>xloadct</proidl>
+; <proidl>XLOADCT</proidl>
 ; No explicit inputs.  The current color table is used as a starting point.
 ;
Index: trunk/SRC/Computation/grad.pro
===================================================================
--- trunk/SRC/Computation/grad.pro	(revision 259)
+++ trunk/SRC/Computation/grad.pro	(revision 260)
@@ -10,5 +10,5 @@
 ; The field for which we want to compute the gradient. A 2D (xy),
 ; 3D (xyz or yt) or 4D (xyzt) array or a structure readable by 
-; <proidl>litchamp</proidl>
+; <pro>litchamp</pro>
 ; and containing a 2D (xy), 3D (xyz or yt) or 4D (xyzt) array.
 ; Note that the dimension of the array must suit the domain dimension.
Index: trunk/SRC/Interpolation/clickincell.pro
===================================================================
--- trunk/SRC/Interpolation/clickincell.pro	(revision 259)
+++ trunk/SRC/Interpolation/clickincell.pro	(revision 260)
@@ -30,5 +30,5 @@
 ; @keyword _EXTRA
 ; Used to pass extra keywords to <pro>inquad</pro> and
-; <proidl>plot</proidl>
+; <proidl>PLOT</proidl>
 ; (when /drawcell)
 ;
Index: trunk/SRC/Interpolation/cutpar.pro
===================================================================
--- trunk/SRC/Interpolation/cutpar.pro	(revision 259)
+++ trunk/SRC/Interpolation/cutpar.pro	(revision 260)
@@ -16,5 +16,5 @@
 ; @param y3 {in}{required}
 ; 1d arrays of p elements, giving the edge positions.
-; The edges must be given as in <proidl>plot</proidl> to draw the 
+; The edges must be given as in <proidl>PLOT</proidl> to draw the 
 ; parallelogram. (see example).
 ;
Index: trunk/SRC/Interpolation/map_npoints.pro
===================================================================
--- trunk/SRC/Interpolation/map_npoints.pro	(revision 259)
+++ trunk/SRC/Interpolation/map_npoints.pro	(revision 260)
@@ -6,5 +6,5 @@
 ; returns the distances between number n of P0 points and number
 ; n of P1 points (in that case, np0 and np1 must be equal).
-; Same as <proidl>map_2points</proidl> with the meter parameter but for n
+; Same as <proidl>MAP_2POINTS</proidl> with the meter parameter but for n
 ; points without do loop.
 ;
Index: trunk/SRC/Matrix/cmapply.pro
===================================================================
--- trunk/SRC/Matrix/cmapply.pro	(revision 259)
+++ trunk/SRC/Matrix/cmapply.pro	(revision 260)
@@ -155,5 +155,5 @@
 ; @keyword TYPE {default=same as input type}
 ; Set this to the IDL code of the desired output type (refer
-; to documentation of <proidl>SIZE</proidl>()).  Internal results will be
+; to documentation of <proidl>SIZE</proidl>). Internal results will be
 ; rounded to the nearest integer if the output type is an
 ; integer type.
@@ -175,6 +175,7 @@
 ; @examples
 ;
-;   First example:  Shows how CMAPPLY can be used to total the second dimension of the
-;   array called IN.  This is equivalent to OUT = TOTAL(IN, 2)
+;   First example:  
+;   Shows how <pro>cmpapply</pro> can be used to total the second dimension of 
+;   the array called IN. This is equivalent to OUT = TOTAL(IN, 2)
 ;
 ;   IDL> IN  = INDGEN(5,5)
Index: trunk/SRC/Postscript/openps.pro
===================================================================
--- trunk/SRC/Postscript/openps.pro	(revision 259)
+++ trunk/SRC/Postscript/openps.pro	(revision 260)
@@ -36,5 +36,5 @@
 ;
 ; @keyword _EXTRA
-; Used to pass keywords to <proidl>device</proidl>.
+; Used to pass keywords to <proidl>DEVICE</proidl>.
 ;
 ; @uses
Index: trunk/SRC/ToBeReviewed/LECTURE/ncdf_lec.pro
===================================================================
--- trunk/SRC/ToBeReviewed/LECTURE/ncdf_lec.pro	(revision 259)
+++ trunk/SRC/ToBeReviewed/LECTURE/ncdf_lec.pro	(revision 260)
@@ -27,5 +27,5 @@
 ; @keyword _EXTRA
 ; Used to pass keywords defined by IDL to functions NETCDF (especially OFFSET
-; and COUNT in <proidl>ncdf_varget</proidl>)
+; and COUNT in <proidl>NCDF_VARGET</proidl>)
 ;
 ; @returns
Index: trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltv.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltv.pro	(revision 259)
+++ trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltv.pro	(revision 260)
@@ -55,5 +55,5 @@
 ;
 ; @keyword _EXTRA
-; Used to pass keywords to <pro>placedessin</pro>, <proidl>tv</proidl>,
+; Used to pass keywords to <pro>placedessin</pro>, <proidl>TV</proidl>,
 ; <pro>axe</pro>, <pro>legende</pro>, <pro>barrecouleur</pro>, 
 ; <pro>terminedessin</pro>
Index: trunk/SRC/ToBeReviewed/PLOTS/DESSINE/tvplus.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DESSINE/tvplus.pro	(revision 259)
+++ trunk/SRC/ToBeReviewed/PLOTS/DESSINE/tvplus.pro	(revision 260)
@@ -2,5 +2,5 @@
 ;
 ; @file_comments
-; Enhanced version of <proidl>tvscl</proidl>
+; Enhanced version of <proidl>TVSCL</proidl>
 ;
 ; @categories
@@ -62,6 +62,6 @@
 ;
 ; @keyword _EXTRA
-; Used to pass keywords to <proidl>tv</proidl>,
-; <proidl>plot</proidl>,
+; Used to pass keywords to <proidl>TV</proidl>,
+; <proidl>PLOT</proidl>,
 ; <pro>colorbar</pro>
 ;
Index: trunk/SRC/ToBeReviewed/PLOTS/plotsym.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/plotsym.pro	(revision 259)
+++ trunk/SRC/ToBeReviewed/PLOTS/plotsym.pro	(revision 260)
@@ -29,5 +29,5 @@
 ;
 ; @keyword _EXTRA
-; Used to pass keywords to <proidl>usersym</proidl>.
+; Used to pass keywords to <proidl>USERSYM</proidl>.
 ; These are thick, color and fill.
 ;
Index: trunk/SRC/ToBeReviewed/STRING/getfile.pro
===================================================================
--- trunk/SRC/ToBeReviewed/STRING/getfile.pro	(revision 259)
+++ trunk/SRC/ToBeReviewed/STRING/getfile.pro	(revision 260)
@@ -38,5 +38,5 @@
 ;       S. Masson (smasson\@lodyc.jussieu.fr) 4 Feb 2002
 ;       search the file in the all !path directories (use <pro>find</pro>)
-;       when using /find keyword. Use <proidl>spawn</proidl>, 'cat...' for 
+;       when using /find keyword. Use <proidl>SPAWN</proidl>, 'cat...' for 
 ;       unix os.
 ;
Index: trunk/SRC/ToBeReviewed/TRIANGULATION/dessinetri.pro
===================================================================
--- trunk/SRC/ToBeReviewed/TRIANGULATION/dessinetri.pro	(revision 259)
+++ trunk/SRC/ToBeReviewed/TRIANGULATION/dessinetri.pro	(revision 260)
@@ -9,5 +9,5 @@
 ; @param TRI {in}{optional}
 ; Array which define the triangulation (provided by <pro>triangule</pro> or
-; <proidl>triangulate</proidl>)
+; <proidl>TRIANGULATE</proidl>)
 ;
 ; @param X {in}{optional}
Index: trunk/SRC/Utilities/find.pro
===================================================================
--- trunk/SRC/Utilities/find.pro	(revision 259)
+++ trunk/SRC/Utilities/find.pro	(revision 260)
@@ -2,10 +2,10 @@
 ;
 ; @file_comments
-; based on <proidl>file_search</proidl>, but it is possible to specify
+; based on <proidl>FILE_SEARCH</proidl>, but it is possible to specify
 ; a set of possibles names and a different set of
 ; possibles directories names.
 ; By default look for files included in !path
 ;
-; all <proidl>file_search</proidl> keywords can be used.
+; all <proidl>FILE_SEARCH</proidl> keywords can be used.
 ;
 ; @categories
@@ -15,5 +15,5 @@
 ; File name[s] to match. Input names specifications may contain
 ; wildcard characters, enabling them to match multiple files
-; (see <proidl>file_search</proidl> for more informations). By default and if
+; (see <proidl>FILE_SEARCH</proidl> for more informations). By default and if
 ; necessary, <pro>find</pro> is looking for filename and also for filename
 ; completed with '.pro'
Index: trunk/SRC/Utilities/isadirectory.pro
===================================================================
--- trunk/SRC/Utilities/isadirectory.pro	(revision 259)
+++ trunk/SRC/Utilities/isadirectory.pro	(revision 260)
@@ -20,5 +20,5 @@
 ;
 ; @keyword _EXTRA
-; Used to pass keywords to <proidl>dialog_pickfile</proidl>
+; Used to pass keywords to <proidl>DIALOG_PICKFILE</proidl>
 ;
 ; @returns
Index: trunk/SRC/Utilities/isafile.pro
===================================================================
--- trunk/SRC/Utilities/isafile.pro	(revision 259)
+++ trunk/SRC/Utilities/isafile.pro	(revision 260)
@@ -4,5 +4,5 @@
 ; same as <pro>find</pro> except that as long as the file is 'NOT FOUND',
 ; <pro>isafile</pro> calls 
-; <proidl>dialog_pickfile</proidl>, to ask the user to select a file.
+; <proidl>DIALOG_PICKFILE</proidl>, to ask the user to select a file.
 ;
 ; @categories
@@ -38,6 +38,6 @@
 ; @keyword _EXTRA
 ; Used to pass keywords to <pro>find</pro>,
-; <proidl>file_search</proidl> and
-; <proidl>dialog_pickfile</proidl>
+; <proidl>FILE_SEARCH</proidl> and
+; <proidl>DIALOG_PICKFILE</proidl>
 ;
 ; @returns
Index: trunk/SRC/Utilities/report.pro
===================================================================
--- trunk/SRC/Utilities/report.pro	(revision 259)
+++ trunk/SRC/Utilities/report.pro	(revision 260)
@@ -2,6 +2,6 @@
 ;
 ; @file_comments
-; Like <proidl>dialog_message</proidl> if there is already some widget
-; active or like <proidl>message</proidl> if there is not any widget active.
+; Like <proidl>DIALOG_MESSAGE</proidl> if there is already some widget
+; active or like <proidl>MESSAGE</proidl> if there is not any widget active.
 ; To ask a question whose answer is not yes/no, use xquestion.
 ;
@@ -20,5 +20,5 @@
 ;
 ; @keyword PARENT
-; same as DIALOG_PARENT of <proidl>dialog_message</proidl>
+; same as DIALOG_PARENT of <proidl>DIALOG_MESSAGE</proidl>
 ;
 ; @keyword QUESTION {default="Warning"}
@@ -30,6 +30,6 @@
 ;
 ; @keyword _EXTRA
-; Used to pass keywords to <proidl>dialog_message</proidl> and 
-; <proidl>message</proidl>
+; Used to pass keywords to <proidl>DIALOG_MESSAGE</proidl> and 
+; <proidl>MESSAGE</proidl>
 ;
 ; @returns
Index: trunk/SRC/Utilities/routine_name.pro
===================================================================
--- trunk/SRC/Utilities/routine_name.pro	(revision 259)
+++ trunk/SRC/Utilities/routine_name.pro	(revision 260)
@@ -16,5 +16,5 @@
 ;
 ; @restrictions
-; This function use the keyword OUTPUT in <proidl>help</proidl> and 
+; This function use the keyword OUTPUT in <proidl>HELP</proidl> and 
 ; it is specified
 ; in the on-line help that the return syntax of this word can change in
Index: trunk/SRC/Utilities/testvar.pro
===================================================================
--- trunk/SRC/Utilities/testvar.pro	(revision 259)
+++ trunk/SRC/Utilities/testvar.pro	(revision 260)
@@ -2,5 +2,5 @@
 ;
 ; @file_comments
-; A kind of <proidl>keyword_set</proidl> but when the value exist, it 
+; A kind of <proidl>KEYWORD_SET</proidl> but when the value exist, it 
 ; send it back.
 ;
Index: trunk/SRC/Utilities/undefine.pro
===================================================================
--- trunk/SRC/Utilities/undefine.pro	(revision 259)
+++ trunk/SRC/Utilities/undefine.pro	(revision 260)
@@ -3,5 +3,5 @@
 ; @file_comments
 ; erase a variable
-; same thing like <proidl>delvar</proidl> but usable in a program and usable
+; same thing like <proidl>DELVAR</proidl> but usable in a program and usable
 ; for one variable simultaneously
 ;
Index: trunk/SRC/Utilities/xfile.pro
===================================================================
--- trunk/SRC/Utilities/xfile.pro	(revision 259)
+++ trunk/SRC/Utilities/xfile.pro	(revision 260)
@@ -3,5 +3,5 @@
 ; @file_comments
 ; display an ASCII file in a widget.
-; It is the same thing that <proidl>xdisplayfile<proidl> but here, we use it
+; It is the same thing that <proidl>XDISPLAYFILE<proidl> but here, we use it
 ; to display the content of a procedure or of a function located in the !path
 ; ".pro" suffix will be appended if needed.
@@ -15,5 +15,5 @@
 ;
 ; @keyword _EXTRA
-; Used to pass keywords to <proidl>xdisplayfile</proidl>
+; Used to pass keywords to <proidl>XDISPLAYFILE</proidl>
 ;
 ; @examples
Index: trunk/SRC/Utilities/xhelp.pro
===================================================================
--- trunk/SRC/Utilities/xhelp.pro	(revision 259)
+++ trunk/SRC/Utilities/xhelp.pro	(revision 260)
@@ -13,5 +13,5 @@
 ;
 ; @keyword _EXTRA
-; Used to pass keywords to <proidl>xdisplayfile</proidl>
+; Used to pass keywords to <proidl>XDISPLAYFILE</proidl>
 ;
 ; @restrictions