Index: trunk/SRC/ToBeReviewed/PLOTS/DESSINE/bar_plot.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DESSINE/bar_plot.pro	(revision 261)
+++ trunk/SRC/ToBeReviewed/PLOTS/DESSINE/bar_plot.pro	(revision 262)
@@ -132,9 +132,9 @@
 ;-
 ;
-PRO bar_plot,values,baselines=baselines,colors=colors,barnames=barnames, $
-          title=title,xtitle=xtitle,ytitle=ytitle,baserange=baserange, $
-          barwidth=barwidth,barspace=barspace,baroffset=baroffset, $
-          outline=outline,overplot=overplot,background=background, $
-          rotate=rotate, _EXTRA = ex
+PRO bar_plot, values, BASELINES=baselines, COLORS=colors, BARNAMES=barnames, $
+          TITLE=title, XTITLE=xtitle, YTITLE=ytitle, BASERANGE=baserange, $
+          BARWIDTH=barwidth, BARSPACE=barspace, BAROFFSET=baroffset, $
+          OUTLINE=outline, OVERPLOt=overplot, BACKGROUND=background, $
+          ROTATE=rotate, _EXTRA = ex
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltbase.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltbase.pro	(revision 261)
+++ trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltbase.pro	(revision 262)
@@ -114,5 +114,5 @@
              , NOCONTOUR = nocontour, NOFILL = nofill $
              , TRICHAMP = trichamp, TRIMSK = trimsk $
-             , REALCONT = realcont, NAN = nan, usetri = usetri $
+             , REALCONT = realcont, NAN = nan, USETRI = usetri $
              , COLORTRICHAMP = colortrichamp, COLORTRIMASK = colortrimask $
              , COLORTRINAN = colortrinan $
@@ -130,5 +130,4 @@
              , MORE = more, EXCHANGE_XY = exchange_xy $
              , _EXTRA = ex
-;---------------------------------------------------------
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltsc.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltsc.pro	(revision 261)
+++ trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltsc.pro	(revision 262)
@@ -53,6 +53,6 @@
 ;-
 ;
-PRO  pltsc,tab1,tab2, min1, max1, min2, max2, varname2, BOXZOOM = boxzoom, $
-           COL1D=col1d,STY1D=sty1d,OV1D=ov1d, _EXTRA = ex
+PRO pltsc, tab1, tab2, min1, max1, min2, max2, varname2, BOXZOOM = boxzoom, $
+           COL1D=col1d, STY1D=sty1d, OV1D=ov1d, _EXTRA = ex
 ; scatter plot (inspired from plt1d)
 ;
Index: trunk/SRC/ToBeReviewed/PLOTS/DESSINE/sbar_plot.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DESSINE/sbar_plot.pro	(revision 261)
+++ trunk/SRC/ToBeReviewed/PLOTS/DESSINE/sbar_plot.pro	(revision 262)
@@ -44,5 +44,5 @@
 ;-
 ;
-PRO sbar_plot, Values, COLORS = colors, NOREINITPLT = noreinitplt, _EXTRA = ex
+PRO sbar_plot, values, COLORS = colors, NOREINITPLT = noreinitplt, _EXTRA = ex
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/ToBeReviewed/PLOTS/DIVERS/determineminmax.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DIVERS/determineminmax.pro	(revision 261)
+++ trunk/SRC/ToBeReviewed/PLOTS/DIVERS/determineminmax.pro	(revision 262)
@@ -52,5 +52,5 @@
 ;-
 ;
-PRO determineminmax, tab, mask, vraimin, vraimax, glam, gphi, MAXIN = maxin, MININ = minin, INTERVALLE = intervalle, usetri = usetri, ZEROMIDDLE = zeromiddle, _EXTRA = ex
+PRO determineminmax, tab, mask, vraimin, vraimax, glam, gphi, MAXIN = maxin, MININ = minin, INTERVALLE = intervalle, USETRI = usetri, ZEROMIDDLE = zeromiddle, _EXTRA = ex
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/ToBeReviewed/PLOTS/VECTEUR/velovect.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/VECTEUR/velovect.pro	(revision 261)
+++ trunk/SRC/ToBeReviewed/PLOTS/VECTEUR/velovect.pro	(revision 262)
@@ -93,6 +93,6 @@
 ;-
 ;
-PRO velovect,U,V,X,Y, Missing = Missing, Length = length, Dots = dots,  $
-        Color=color, CLIP=clip, NOCLIP=noclip, OVERPLOT=overplot, _EXTRA=extra
+PRO velovect, u,v,x,y, MISSING = missing, LENGTH = length, DOTS = dots,  $
+        COLOR=color, CLIP=clip, NOCLIP=noclip, OVERPLOT=overplot, _EXTRA=extra
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/ToBeReviewed/PLOTS/axe.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/axe.pro	(revision 261)
+++ trunk/SRC/ToBeReviewed/PLOTS/axe.pro	(revision 262)
@@ -53,5 +53,5 @@
 ;-
 ;
-PRO axe, coupe,tempsmin,tempsmax, REVERSE_X = reverse_x, REVERSE_Y = reverse_y, SIN = sin, SEPDATE = sepdate, DIGITSYEAR = digitsyear, _EXTRA = ex
+PRO axe, coupe, tempsmin, tempsmax, REVERSE_X = reverse_x, REVERSE_Y = reverse_y, SIN = sin, SEPDATE = sepdate, DIGITSYEAR = digitsyear, _EXTRA = ex
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/ToBeReviewed/PLOTS/plotsym.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/plotsym.pro	(revision 261)
+++ trunk/SRC/ToBeReviewed/PLOTS/plotsym.pro	(revision 262)
@@ -46,6 +46,6 @@
 ;-
 ;
-FUNCTION plotsym, circle=circle, triangle=triangle, diamond=diamond, $
-                  angle=angle, box=box, line=line, scale=scale, $
+FUNCTION plotsym, CIRCLE=circle, TRIANGLE=triangle, DIAMOND=diamond, $
+                  ANGLE=angle, BOX=box, LINE=line, SCALE=scale, $
                   _EXTRA=extra
 ;
Index: trunk/SRC/ToBeReviewed/PLOTS/reinitplt.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/reinitplt.pro	(revision 261)
+++ trunk/SRC/ToBeReviewed/PLOTS/reinitplt.pro	(revision 262)
@@ -44,5 +44,5 @@
 ;-
 ;
-PRO reinitplt, all=all,x=x,y=y,z=z,p=p, invert=invert
+PRO reinitplt, ALL=all, X=x, Y=y, Z=z, P=p, INVERT=invert
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/ToBeReviewed/PLOTS/style.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/style.pro	(revision 261)
+++ trunk/SRC/ToBeReviewed/PLOTS/style.pro	(revision 262)
@@ -35,5 +35,5 @@
 ;-
 ;
-PRO style,labstyle,level_z2d,linestyle,thick
+PRO style, labstyle, level_z2d, linestyle, thick
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/ToBeReviewed/PLOTS/symbols.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/symbols.pro	(revision 261)
+++ trunk/SRC/ToBeReviewed/PLOTS/symbols.pro	(revision 262)
@@ -43,5 +43,5 @@
 ;-
 ;
-PRO symbols,nsym,scale,color=col
+PRO symbols, nsym, scale, COLOR=col
 ;
   compile_opt idl2, strictarrsubs