Index: trunk/SRC/Calendar/julday.pro
===================================================================
--- trunk/SRC/Calendar/julday.pro	(revision 267)
+++ trunk/SRC/Calendar/julday.pro	(revision 268)
@@ -25,6 +25,6 @@
 ; 1 C.E. (1).
 ; Change: However for climatological year, we do accept the year
-; O but we change it for year 654321L (the same trick is done in
-; caldat so caldat, julday(1,1,0) gives you back Jan 1st of year 0)
+; 0 but we change it for year 654321L (the same trick is done in
+; <pro>caldat</pro> so caldat, julday(1,1,0) gives you back Jan 1st of year 0)
 ;
 ; @param HOUR {in}{optional} {type=scalar (integer or double) or array of scalars} {default=12}
@@ -83,10 +83,10 @@
 ;-
 ;
-function julday, month, day, yearin, hour, minute, second, NDAYSPM = ndayspm
+FUNCTION julday, month, day, yearin, hour, minute, second, NDAYSPM = ndayspm
+;
+  compile_opt idl2, strictarrsubs
 ;
 @cm_4cal
-
-  compile_opt idl2, strictarrsubs
-
+;
   ON_ERROR, 2                   ; Return to caller if errors
 
Index: trunk/SRC/Computation/curl.pro
===================================================================
--- trunk/SRC/Computation/curl.pro	(revision 267)
+++ trunk/SRC/Computation/curl.pro	(revision 268)
@@ -9,5 +9,5 @@
 ; @param UU
 ; Matrix representing the zonal coordinates (U point) of a field of vectors
-; A 2D (xy), 3D (xyz or yt) or a structure readable by litchamp and containing
+; A 2D (xy), 3D (xyz or yt) or a structure readable by <pro>litchamp</pro> and containing
 ; a 2D (xy), 3D (xyz or yt) array (4D case is not coded yet).
 ; Note that the dimension of the array must suit the domain dimension.
@@ -15,5 +15,5 @@
 ; @param VV
 ; Matrix representing the meridional coordinates (V point) of a field of vectors
-; A 2D (xy), 3D (xyz or yt) or a structure readable by litchamp and containing
+; A 2D (xy), 3D (xyz or yt) or a structure readable by <pro>litchamp</pro> and containing
 ; a 2D (xy), 3D (xyz or yt) array (4D case is not coded yet).
 ; Note that the dimension of the array must suit the domain dimension.
Index: trunk/SRC/Computation/div.pro
===================================================================
--- trunk/SRC/Computation/div.pro	(revision 267)
+++ trunk/SRC/Computation/div.pro	(revision 268)
@@ -9,5 +9,5 @@
 ; @param UU
 ; Matrix representing the zonal coordinates (U point) of a field of vectors
-; A 2D (xy), 3D (xyz or yt) or a structure readable by litchamp and containing
+; A 2D (xy), 3D (xyz or yt) or a structure readable by <pro>litchamp</pro> and containing
 ; a 2D (xy), 3D (xyz or yt) array (4D case is not coded yet).
 ; note that the dimension of the array must suit the domain dimension.
@@ -15,5 +15,5 @@
 ; @param VV
 ; Matrix representing the meridional coordinates (V point) of a field of vectors
-; A 2D (xy), 3D (xyz or yt) or a structure readable by litchamp and containing
+; A 2D (xy), 3D (xyz or yt) or a structure readable by <pro>litchamp</pro> and containing
 ; a 2D (xy), 3D (xyz or yt) array (4D case is not coded yet).
 ; note that the dimension of the array must suit the domain dimension.
Index: trunk/SRC/ToBeReviewed/CALCULS/depth2floatlevel.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/depth2floatlevel.pro	(revision 267)
+++ trunk/SRC/ToBeReviewed/CALCULS/depth2floatlevel.pro	(revision 268)
@@ -10,5 +10,5 @@
 ;
 ; @param TAB {in}{required}
-; 2d depth array (or a structure respecting litchamp criterion)
+; 2d depth array (or a structure respecting <pro>litchamp</pro> criterion)
 ;
 ; @keyword NOMASK
Index: trunk/SRC/ToBeReviewed/CALCULS/depth2level.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/depth2level.pro	(revision 267)
+++ trunk/SRC/ToBeReviewed/CALCULS/depth2level.pro	(revision 268)
@@ -8,5 +8,5 @@
 ;
 ; @param TAB {type=2d array}
-; 2d depth array (or a structure respecting litchamp criterions)
+; 2d depth array (or a structure respecting <pro>litchamp</pro> criterions)
 ;
 ; @keyword UPPER
Index: trunk/SRC/ToBeReviewed/CALCULS/depth2mask.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/depth2mask.pro	(revision 267)
+++ trunk/SRC/ToBeReviewed/CALCULS/depth2mask.pro	(revision 268)
@@ -9,5 +9,5 @@
 ;
 ; @param TAB {type=3d array}
-; 2d sill depth array (or a structure respecting litchamp criterions)
+; 2d sill depth array (or a structure respecting <pro>litchamp</pro> criterions)
 ;
 ; @keyword _EXTRA
Index: trunk/SRC/ToBeReviewed/CALCULS/determ2.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/determ2.pro	(revision 267)
+++ trunk/SRC/ToBeReviewed/CALCULS/determ2.pro	(revision 268)
@@ -29,5 +29,5 @@
 ; IDL> a=findgen(2,2,5)
 ; IDL> print, determ2(a)
-; IDL> FOR i=0,4 DO print, determ(a[*,*,i]) ; IDL solution
+; IDL> FOR i=0,4 DO print, determ(a[*,*,i])
 ;
 ; @history
Index: trunk/SRC/ToBeReviewed/CALCULS/floatlevel2depth.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/floatlevel2depth.pro	(revision 267)
+++ trunk/SRC/ToBeReviewed/CALCULS/floatlevel2depth.pro	(revision 268)
@@ -9,5 +9,5 @@
 ;
 ; @param TAB
-; 2d array of sill levels (or a structure respecting litchamp criterions)
+; 2d array of sill levels (or a structure respecting <pro>litchamp</pro> criterions)
 ;
 ; @keyword NOMASK
Index: trunk/SRC/ToBeReviewed/CALCULS/grossemoyenne.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/grossemoyenne.pro	(revision 267)
+++ trunk/SRC/ToBeReviewed/CALCULS/grossemoyenne.pro	(revision 268)
@@ -3,5 +3,5 @@
 ; @file_comments
 ; averages a 3- or 4-d time series field over a selected
-; geographical area or along the time axis. For one ore more
+; geographical area or along the time axis. For one or more
 ; selected axes (x, y, z, t)
 ;
@@ -29,5 +29,5 @@
 ; corresponding to nan = !values.f_nan and of 0, which desactivate nan).
 ; We have to put NAN=a.
-; Comment: In output, rsult points which are NAN will be valued a or
+; Comment: In output, result points which are NAN will be valued a or
 ; !values.f_nan.
 ;
Index: trunk/SRC/ToBeReviewed/CALCULS/level2depth.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/level2depth.pro	(revision 267)
+++ trunk/SRC/ToBeReviewed/CALCULS/level2depth.pro	(revision 268)
@@ -2,5 +2,5 @@
 ;
 ; @file_comments
-; Allows to pass from a 2d level array to a 2d depth array corresponding o these levels
+; Allows to pass from a 2d level array to a 2d depth array corresponding to these levels
 ;
 ; @categories
@@ -8,5 +8,5 @@
 ;
 ; @param TAB {in}{required}{type=2d array}
-; 2d level array of sill levels (or a structure respecting litchamp criterions)
+; 2d level array of sill levels (or a structure respecting <pro>litchamp</pro> criterions)
 ;
 ; @keyword NOMASK
Index: trunk/SRC/ToBeReviewed/CALCULS/moyenne.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/moyenne.pro	(revision 267)
+++ trunk/SRC/ToBeReviewed/CALCULS/moyenne.pro	(revision 268)
@@ -3,5 +3,5 @@
 ; @file_comments
 ; averages a 2- or 3-d field over a selected
-;           geographical area and along one ore more
+;           geographical area and along one or more
 ;	    selected axes (x, y or z)
 ;
Index: trunk/SRC/ToBeReviewed/GRILLE/decoupeterre.pro
===================================================================
--- trunk/SRC/ToBeReviewed/GRILLE/decoupeterre.pro	(revision 267)
+++ trunk/SRC/ToBeReviewed/GRILLE/decoupeterre.pro	(revision 268)
@@ -12,5 +12,5 @@
 ;
 ; @categories
-; Utilities
+; Grid
 ;
 ; @param MASK
@@ -38,6 +38,6 @@
 ;
 ; @keyword TRI
-; This keyword serve to obtain, thanks to grille, the triangulation which
-; refer to the grid but only on the part of the zoom. This of triangulation
+; This keyword serve to obtain, thanks to <pro>grille</pro>, the triangulation which
+; refer to the grid but only on the part of the zoom. This array of triangulation
 ; is passed in the variable we have equate at TRI.
 ; For example: grille,...,tri=triangulation_reduite.
Index: trunk/SRC/ToBeReviewed/GRILLE/domdef.pro
===================================================================
--- trunk/SRC/ToBeReviewed/GRILLE/domdef.pro	(revision 267)
+++ trunk/SRC/ToBeReviewed/GRILLE/domdef.pro	(revision 268)
@@ -6,4 +6,5 @@
 ;
 ; @categories
+; Grid
 ;
 ; @param Z1 {in}{optional}
@@ -27,6 +28,6 @@
 ; @keyword ENDPOINTS {type=vector}
 ; A four elements vector [x1,y1,x2,y2] used to specify
-; that <pro>domdef</pro> must define the box used to make a plot (pltz, pltt,
-; plt1d) done strictly along the line (that can have any direction)
+; that <pro>domdef</pro> must define the box used to make a plot
+; (<pro>pltz</pro>, <pro>pltt</pro>, <pro>plt1d</pro>) done strictly along the line (that can have any direction)
 ; starting at (x1, y1) ending at (x2, y2). When defining endpoints,
 ; you must also define TYPE which define the type of plots
@@ -45,24 +46,24 @@
 ;
 ; @keyword MEMEINDICES
-; It is possible that points t,u,v and F correspond to a same geographic
+; It is possible that points T, U, V and F correspond to a same geographic
 ; box which do not concern the same array indexes. This is sometimes a
 ; problem (or at least serious complications) in programs where several
-; type of grid intervene (see norme, curl...). 
-; Activate MEMEINDICES to force <pro>domdef</pro> to take same indexes - those 
+; type of grid intervene (see <pro>norme</pro>, <pro>curl</pro>...).
+; Activate MEMEINDICES to force <pro>domdef</pro> to take same indexes - those
 ; of the grid T- for all other grids.
 ;
 ; @keyword INDEX
-; We activate it if we want that all elements passed in input of 
-; <pro>domdef</pro> refer to indexes of glam, gphi and gdep arrays rather 
+; We activate it if we want that all elements passed in input of
+; <pro>domdef</pro> refer to indexes of glam, gphi and gdep arrays rather
 ; than to values of these arrays.
 ;
 ; @keyword XINDEX
-; We activate it if we want that all elements passed in input of 
-; <pro>domdef</pro> 
+; We activate it if we want that all elements passed in input of
+; <pro>domdef</pro>
 ; and concerning the X dimension refer to indexes of glam arrays rather
 ; than to values of these arrays.
 ;
 ; @keyword YINDEX
-; We activate it if we want that all elements passed in input of 
+; We activate it if we want that all elements passed in input of
 ; <pro>domdef</pro>
 ; and concerning the X dimension refer to indexes of gphi arrays rather
@@ -70,5 +71,5 @@
 ;
 ; @keyword ZINDEX
-; We activate it if we want that all elements passed in input of 
+; We activate it if we want that all elements passed in input of
 ; <pro>domdef</pro>
 ; and concerning the X dimension refer to indexes of gdep arrays rather
Index: trunk/SRC/ToBeReviewed/GRILLE/f2v.pro
===================================================================
--- trunk/SRC/ToBeReviewed/GRILLE/f2v.pro	(revision 267)
+++ trunk/SRC/ToBeReviewed/GRILLE/f2v.pro	(revision 268)
@@ -13,5 +13,5 @@
 ;
 ; @returns
-; res, a 2, 3 or 4d array
+; a 2d, 3d or 4d array
 ;
 ; @uses
Index: trunk/SRC/ToBeReviewed/GRILLE/fmask.pro
===================================================================
--- trunk/SRC/ToBeReviewed/GRILLE/fmask.pro	(revision 267)
+++ trunk/SRC/ToBeReviewed/GRILLE/fmask.pro	(revision 268)
@@ -5,5 +5,5 @@
 ;
 ; @categories
-; Utilities
+; Grid 
 ;
 ; @returns
Index: trunk/SRC/ToBeReviewed/GRILLE/grille.pro
===================================================================
--- trunk/SRC/ToBeReviewed/GRILLE/grille.pro	(revision 267)
+++ trunk/SRC/ToBeReviewed/GRILLE/grille.pro	(revision 268)
@@ -11,8 +11,9 @@
 ;
 ; @categories
+; Grid
 ;
 ; @keyword TRI
-; This keyword serve to obtain, thanks to grille, the triangulation which
-; refer to the grid but only on the part of the zoom. This of triangulation
+; This keyword serve to obtain the triangulation which
+; refer to the grid but only on the part of the zoom. This array of triangulation
 ; is passed in the variable we have equate at TRI.
 ; For example: grille,...,tri=triangulation_reduite.
@@ -29,5 +30,5 @@
 ;
 ; @keyword NOTRI
-; Useful only when TRI is activated. In this case, grill send back -1 in the
+; Useful only when TRI is activated. In this case, grille send back -1 in the
 ; variable tri even if the variable of the common triangles_list is defined
 ; and different of -1
Index: trunk/SRC/ToBeReviewed/GRILLE/t2v.pro
===================================================================
--- trunk/SRC/ToBeReviewed/GRILLE/t2v.pro	(revision 267)
+++ trunk/SRC/ToBeReviewed/GRILLE/t2v.pro	(revision 268)
@@ -9,8 +9,8 @@
 ;
 ; @param TEMP {in}{required}
-; A 2, 3 or 4d array
+; A 2d, 3d or 4d array
 ;
 ; @returns
-; res, a 2, 3 or 4d array
+; a 2d, 3d or 4d array
 ;
 ; @uses
Index: trunk/SRC/ToBeReviewed/GRILLE/tracegrille.pro
===================================================================
--- trunk/SRC/ToBeReviewed/GRILLE/tracegrille.pro	(revision 267)
+++ trunk/SRC/ToBeReviewed/GRILLE/tracegrille.pro	(revision 268)
@@ -5,4 +5,5 @@
 ;
 ; @categories
+; Grid
 ;
 ; @param GLAMIN {in}{optional}{type=1d or 2d array}{default=glam specified by vargrid, on the domain defined by <pro>domdef</pro>}
Index: trunk/SRC/ToBeReviewed/GRILLE/u2t.pro
===================================================================
--- trunk/SRC/ToBeReviewed/GRILLE/u2t.pro	(revision 267)
+++ trunk/SRC/ToBeReviewed/GRILLE/u2t.pro	(revision 268)
@@ -10,8 +10,8 @@
 ;
 ; @param TEMP {in}{required}
-; A 2, 3 or 4d array
+; A 2d, 3d or 4d array
 ;
 ; @returns
-; res, a 2, 3 or 4d array
+; a 2d, 3d or 4d array
 ;
 ; @uses
Index: trunk/SRC/ToBeReviewed/GRILLE/umask.pro
===================================================================
--- trunk/SRC/ToBeReviewed/GRILLE/umask.pro	(revision 267)
+++ trunk/SRC/ToBeReviewed/GRILLE/umask.pro	(revision 268)
@@ -5,5 +5,5 @@
 ;
 ; @categories
-; Utilities
+; Grid 
 ;
 ; @returns
@@ -15,5 +15,5 @@
 ; @examples
 ; Used like if umask was a known array by substituing umask by (umask())
-; For example: Instaed of write umask[domainef] we have to write (umask())[domainef]
+; For example: Instead of write umask[domainef] we have to write (umask())[domainef]
 ;
 ; @history
Index: trunk/SRC/ToBeReviewed/GRILLE/v2t.pro
===================================================================
--- trunk/SRC/ToBeReviewed/GRILLE/v2t.pro	(revision 267)
+++ trunk/SRC/ToBeReviewed/GRILLE/v2t.pro	(revision 268)
@@ -10,8 +10,8 @@
 ;
 ; @param TEMP {in}{required}
-; A 2, 3 or 4d array
+; A 2d, 3d or 4d array
 ;
 ; @returns
-; res, a 2, 3 or 4d array
+; a 2d, 3d or 4d array
 ;
 ; @uses
Index: trunk/SRC/ToBeReviewed/GRILLE/vmask.pro
===================================================================
--- trunk/SRC/ToBeReviewed/GRILLE/vmask.pro	(revision 267)
+++ trunk/SRC/ToBeReviewed/GRILLE/vmask.pro	(revision 268)
@@ -5,5 +5,5 @@
 ;
 ; @categories
-; Utilities
+; Grid 
 ;
 ; @returns
@@ -12,5 +12,5 @@
 ; @examples
 ; Used like if vmask was a known array by substituing vmask by (vmask())
-; For example: Instaed of write vmask[domainef] we have to write (vmask())[domainef]
+; For example: Instead of write vmask[domainef] we have to write (vmask())[domainef]
 ;
 ; @history