Index: trunk/SRC/Grid/ncdf_meshread.pro
===================================================================
--- trunk/SRC/Grid/ncdf_meshread.pro	(revision 272)
+++ trunk/SRC/Grid/ncdf_meshread.pro	(revision 273)
@@ -118,5 +118,5 @@
   IF !version.OS_FAMILY EQ 'unix' THEN spawn, '\file '+meshname+' > /dev/null'
   cdfid = ncdf_open(meshname)
-  contient = ncdf_inquire(cdfid)
+  inq = ncdf_inquire(cdfid)
 ;------------------------------------------------------------
 ; dimensions
@@ -310,6 +310,6 @@
 ;
   for i = 0, n_elements(namevar)-1 do begin
-    varcontient = ncdf_varinq(cdfid, namevar[i])
-    name = varcontient.name
+    varinq = ncdf_varinq(cdfid, namevar[i])
+    name = varinq.name
 @read_ncdf_varget
     command = namevar[i]+'=float(temporary(res))'
@@ -366,6 +366,6 @@
   micromask = (where(listdims EQ 'y_m'))[0]
 ;
-  varcontient = ncdf_varinq(cdfid, 'tmask')
-  name = varcontient.name
+  varinq = ncdf_varinq(cdfid, 'tmask')
+  name = varinq.name
   IF micromask NE -1 THEN BEGIN
 ; keep original values
@@ -405,6 +405,6 @@
   ENDELSE
 ; boundary conditions used to compute umask.
-  varcontient = ncdf_varinq(cdfid, 'umask')
-  name = varcontient.name
+  varinq = ncdf_varinq(cdfid, 'umask')
+  name = varinq.name
   nx = 1L
   firstx = jpi-1
@@ -420,6 +420,6 @@
   ENDELSE
 ; boundary conditions used to compute fmask (1).
-  varcontient = ncdf_varinq(cdfid, 'fmask')
-  name = varcontient.name
+  varinq = ncdf_varinq(cdfid, 'fmask')
+  name = varinq.name
   IF micromask NE -1 THEN BEGIN
 @read_ncdf_varget
@@ -433,6 +433,6 @@
   ENDELSE
 ; boundary conditions used to compute vmask
-  varcontient = ncdf_varinq(cdfid, 'vmask')
-  name = varcontient.name
+  varinq = ncdf_varinq(cdfid, 'vmask')
+  name = varinq.name
   nx = jpi
   firstx = 0L
@@ -459,6 +459,6 @@
   ENDELSE
 ; boundary conditions used to compute fmask (2).
-  varcontient = ncdf_varinq(cdfid, 'fmask')
-  name = varcontient.name
+  varinq = ncdf_varinq(cdfid, 'fmask')
+  name = varinq.name
   IF micromask NE -1 THEN BEGIN
 @read_ncdf_varget
@@ -481,6 +481,6 @@
   namevar = ['e3t', 'e3w', 'gdept', 'gdepw']
   for i = 0, n_elements(namevar)-1 do begin
-    varcontient = ncdf_varinq(cdfid, namevar[i])
-    CASE n_elements(varcontient.dim) OF
+    varinq = ncdf_varinq(cdfid, namevar[i])
+    CASE n_elements(varinq.dim) OF
       4:BEGIN
         command = 'ncdf_varget,cdfid,namevar[i],'+namevar[i] $
Index: trunk/SRC/Grid/ncdf_meshroms.pro
===================================================================
--- trunk/SRC/Grid/ncdf_meshroms.pro	(revision 272)
+++ trunk/SRC/Grid/ncdf_meshroms.pro	(revision 273)
@@ -117,5 +117,5 @@
   IF !version.OS_FAMILY EQ 'unix' THEN spawn, '\file '+meshname+' > /dev/null'
   cdfid = ncdf_open(meshname)
-  contient = ncdf_inquire(cdfid)
+  inq = ncdf_inquire(cdfid)
 ;------------------------------------------------------------
 ; dimensions
@@ -267,6 +267,6 @@
 ;
   for i = 0, n_elements(namebase)-1 do begin
-    varcontient = ncdf_varinq(cdfid, namebase[i]+'rho')
-    name = varcontient.name
+    varinq = ncdf_varinq(cdfid, namebase[i]+'rho')
+    name = varinq.name
 @read_ncdf_varget
     command = namebase2[i]+'t = float(temporary(res))'
@@ -284,6 +284,6 @@
   e2v = temporary(d2t)
 ; h: Final bathymetry at RHO-points
-    varcontient = ncdf_varinq(cdfid, 'h')
-    name = varcontient.name
+    varinq = ncdf_varinq(cdfid, 'h')
+    name = varinq.name
 @read_ncdf_varget
     hroms = float(temporary(res))
@@ -300,6 +300,6 @@
 ;
   for i = 0, n_elements(namebase)-1 do begin
-    varcontient = ncdf_varinq(cdfid, namebase[i]+'u')
-    name = varcontient.name
+    varinq = ncdf_varinq(cdfid, namebase[i]+'u')
+    name = varinq.name
 @read_ncdf_varget
     command = namebase2[i]+'u = float(temporary(res))'
@@ -336,6 +336,6 @@
 ;
   for i = 0, n_elements(namebase)-1 do begin
-    varcontient = ncdf_varinq(cdfid, namebase[i]+'v')
-    name = varcontient.name
+    varinq = ncdf_varinq(cdfid, namebase[i]+'v')
+    name = varinq.name
 @read_ncdf_varget
     command = namebase2[i]+'v = float(temporary(res))'
@@ -366,6 +366,6 @@
 ;
   for i = 0, n_elements(namebase)-1 do begin
-    varcontient = ncdf_varinq(cdfid, namebase[i]+'psi')
-    name = varcontient.name
+    varinq = ncdf_varinq(cdfid, namebase[i]+'psi')
+    name = varinq.name
 @read_ncdf_varget
     command = namebase2[i]+'f = float(temporary(res))'