Index: /trunk/SRC/Colors/lct.pro
===================================================================
--- /trunk/SRC/Colors/lct.pro	(revision 284)
+++ /trunk/SRC/Colors/lct.pro	(revision 285)
@@ -44,5 +44,5 @@
   if keyword_set(file) then nametbl = file ELSE nametbl = 'palette.tbl'
 ; look for nametbl file
-  nametbl = (find(nametbl, /firstfound, /nopro))[0]
+  nametbl = find(nametbl, /firstfound, /nopro)
   if nametbl NE 'NOT FOUND' then BEGIN
     if n_elements(ex) NE 0 then $
Index: /trunk/SRC/Colors/newpalette.pro
===================================================================
--- /trunk/SRC/Colors/newpalette.pro	(revision 284)
+++ /trunk/SRC/Colors/newpalette.pro	(revision 285)
@@ -42,5 +42,5 @@
 ; look for nametbl file
   namesave = nametbl
-  nametbl = (find(nametbl, /firstfound, /nopro))[0]
+  nametbl = find(nametbl, /firstfound, /nopro)
 ; no file nametbl found, do we create one?
   if nametbl EQ 'NOT FOUND' then BEGIN
Index: /trunk/SRC/Colors/xlct.pro
===================================================================
--- /trunk/SRC/Colors/xlct.pro	(revision 284)
+++ /trunk/SRC/Colors/xlct.pro	(revision 285)
@@ -501,5 +501,5 @@
 ;-----------------------------------------------------------------------------
    IF N_ELEMENTS(file) GT 0 THEN filename = file ELSE BEGIN
-      filename = (find('palette.tbl', /firstfound, /nopro))[0]
+      filename = find('palette.tbl', /firstfound, /nopro)
       if filename EQ 'NOT FOUND' then filename=filepath('colors1.tbl',subdir=['resource', 'colors'])
    ENDELSE
Index: /trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/loadgrid.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/loadgrid.pro	(revision 284)
+++ /trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/loadgrid.pro	(revision 285)
@@ -40,5 +40,5 @@
   meshfile = strtrim(meshfile, 2)
 ; try to find a .pro file with this name...
-  filepro = (find(meshfile[0], /firstfound, /onlypro))[0]
+  filepro = find(meshfile[0], /firstfound, /onlypro)
 ; if this is an idl batch file or a procedure
   if filepro NE 'NOT FOUND' THEN BEGIN
@@ -52,5 +52,5 @@
     ENDCASE
   ENDIF ELSE BEGIN
-    filenc = (find(meshfile[0], /firstfound, /onlync))[0]
+    filenc = find(meshfile[0], /firstfound, /onlync)
     if filenc EQ 'NOT FOUND' THEN stop
     listing = 'initncdf, ''' + filenc +''''
Index: /trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/selectfile.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/selectfile.pro	(revision 284)
+++ /trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/selectfile.pro	(revision 285)
@@ -85,5 +85,5 @@
     'meshload':BEGIN
       widget_control, event.id, get_value = filename
-      filename = (find(filename[0], /onlypro, /firstfound))[0]
+      filename = find(filename[0], /onlypro, /firstfound)
       if filename EQ 'NOT FOUND' then begin
         widget_control, event.id, set_value = ''
@@ -150,5 +150,5 @@
           meshload = meshload[0]
           IF meshload EQ '' THEN return
-          meshload = (find(meshload[0], /onlypro, /firstfound))[0]
+          meshload = find(meshload[0], /onlypro, /firstfound)
           if meshload EQ 'NOT FOUND' then begin
             widget_control, meshload_id, set_value = ''
Index: /trunk/SRC/Utilities/find.pro
===================================================================
--- /trunk/SRC/Utilities/find.pro	(revision 284)
+++ /trunk/SRC/Utilities/find.pro	(revision 285)
@@ -20,5 +20,6 @@
 ;
 ; @keyword FIRSTFOUND
-; activate this keyword to stop looking for the file as soon as we found one.
+; activate this keyword to stop looking for the file as soon as we
+; found one. Return a scalar string containing the first file found
 ;
 ; @keyword IODIRECTORY {type=scalar string or array of strings} {default=['.',!path]}
@@ -164,8 +165,5 @@
     ENDIF ELSE found = file_search(dir + '/' + base, _extra = ex)
     IF found[0] NE '' THEN BEGIN
-      IF keyword_set(firstfound) THEN BEGIN
-        IF keyword_set(unique) THEN return, found[uniq(found, sort(found))] $
-        ELSE return, found
-      ENDIF
+      IF keyword_set(firstfound) THEN return, found[0]
       fileout = [fileout, found]
     ENDIF
Index: /trunk/SRC/Utilities/protype.pro
===================================================================
--- /trunk/SRC/Utilities/protype.pro	(revision 284)
+++ /trunk/SRC/Utilities/protype.pro	(revision 285)
@@ -40,5 +40,5 @@
   compile_opt idl2, strictarrsubs
 ;
-  filepro = (find(file[0], /onlypro, /firstfound))[0]
+  filepro = find(file[0], /onlypro, /firstfound)
   if filepro EQ 'NOT FOUND' then return, -1
   name = file_basename(filepro, '.pro')
Index: /trunk/SRC/Utilities/xfile.pro
===================================================================
--- /trunk/SRC/Utilities/xfile.pro	(revision 284)
+++ /trunk/SRC/Utilities/xfile.pro	(revision 285)
@@ -65,5 +65,5 @@
 ;
 ; find the file and display it!
-   pfile = find(filename, /first_found)
+   pfile = find(filename, /firstfound)
    if (pfile NE 'NOT FOUND') then begin
      xdisplayfile, pfile[0], _EXTRA = ex
Index: /trunk/SRC/Utilities/xhelp.pro
===================================================================
--- /trunk/SRC/Utilities/xhelp.pro	(revision 284)
+++ /trunk/SRC/Utilities/xhelp.pro	(revision 285)
@@ -68,5 +68,5 @@
 ;
 ; find the file and display it!
-   pfile = (find(filename, /first_found))[0]
+   pfile = find(filename, /firstfound)
 ; read it
    IF (pfile NE 'NOT FOUND') THEN BEGIN