Index: trunk/SRC/Documentation/idldoc_html_output/idldoc-index-E.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/idldoc-index-E.html	(revision 249)
+++ trunk/SRC/Documentation/idldoc_html_output/idldoc-index-E.html	(revision 290)
@@ -178,31 +178,40 @@
 	<dd>a keyword from the routine lec</dd>
 	
+	<dt><a href="./Matrix/cmset_op.html#_cmset_op">EMPTY1</a></dt>
+	<dd>a keyword from the routine cmset_op</dd>
+	
+	<dt><a href="./Matrix/cmset_op.html#_cmset_op">EMPTY2</a></dt>
+	<dd>a keyword from the routine cmset_op</dd>
+	
+	<dt><a href="./ReadWrite/readoldoparestart.html#_readoldoparestart">EN</a></dt>
+	<dd>a keyword from the routine readoldoparestart</dd>
+	
+	<dt><a href="./Interpolation/cutsegment.html#_cutsegment">ENDPOINTS</a></dt>
+	<dd>a keyword from the routine cutsegment</dd>
+	
+	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/pltz.html#_pltz">ENDPOINTS</a></dt>
+	<dd>a keyword from the routine pltz</dd>
+	
+	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/pltt.html#_pltt">ENDPOINTS</a></dt>
+	<dd>a keyword from the routine pltt</dd>
+	
 	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/plt1d.html#_plt1d">ENDPOINTS</a></dt>
 	<dd>a keyword from the routine plt1d</dd>
 	
-	<dt><a href="./Interpolation/cutsegment.html#_cutsegment">ENDPOINTS</a></dt>
-	<dd>a keyword from the routine cutsegment</dd>
-	
-	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/pltt.html#_pltt">ENDPOINTS</a></dt>
-	<dd>a keyword from the routine pltt</dd>
-	
 	<dt><a href="./Interpolation/cutpar.html#_cutpar">ENDPOINTS</a></dt>
 	<dd>a keyword from the routine cutpar</dd>
 	
-	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/pltz.html#_pltz">ENDPOINTS</a></dt>
-	<dd>a keyword from the routine pltz</dd>
-	
 	<dt><a href="./ToBeReviewed/GRILLE/domdef.html#_domdef">ENDPOINTS</a></dt>
 	<dd>a keyword from the routine domdef</dd>
 	
+	<dt><a href="./ToBeReviewed/PLOTS/DIVERS/checktypeminmax.html#_checktypeminmax">ENDPOINTS</a></dt>
+	<dd>a keyword from the routine checktypeminmax</dd>
+	
+	<dt><a href="./ToBeReviewed/PLOTS/DIVERS/placedessin.html#_placedessin">ENDPOINTS</a></dt>
+	<dd>a keyword from the routine placedessin</dd>
+	
 	<dt><a href="./ToBeReviewed/PLOTS/legende.html#_legende">ENDPOINTS</a></dt>
 	<dd>a keyword from the routine legende</dd>
 	
-	<dt><a href="./ToBeReviewed/PLOTS/DIVERS/checktypeminmax.html#_checktypeminmax">ENDPOINTS</a></dt>
-	<dd>a keyword from the routine checktypeminmax</dd>
-	
-	<dt><a href="./ToBeReviewed/PLOTS/DIVERS/placedessin.html#_placedessin">ENDPOINTS</a></dt>
-	<dd>a keyword from the routine placedessin</dd>
-	
 	<dt><a href="./ToBeReviewed/TRIANGULATION/section.html#_section">ENDPOINTS</a></dt>
 	<dd>a keyword from the routine section</dd>
@@ -211,4 +220,19 @@
 	<dd>a keyword from the routine imdisp</dd>
 	
+	<dt><a href="./ToBeReviewed/WIDGET/AUTOUR_de_XXX/tracecadre.html#_tracecadre">ERASE</a></dt>
+	<dd>a keyword from the routine tracecadre</dd>
+	
+	<dt><a href="./ReadWrite/ncdf_gettime.html#_ncdf_gettime">ERR</a></dt>
+	<dd>a keyword from the routine ncdf_gettime</dd>
+	
+	<dt><a href="./ToBeReviewed/STRING/putfile.html#_putfile">ERROR</a></dt>
+	<dd>a keyword from the routine putfile</dd>
+	
+	<dt><a href="./ReadWrite/readoldoparestart.html#_readoldoparestart">ETAB</a></dt>
+	<dd>a keyword from the routine readoldoparestart</dd>
+	
+	<dt><a href="./ReadWrite/readoldoparestart.html#_readoldoparestart">ETAN</a></dt>
+	<dd>a keyword from the routine readoldoparestart</dd>
+	
 	<dt><a href="./ToBeReviewed/HOPE/read_hope.html#_read_hope">EVENPT</a></dt>
 	<dd>a keyword from the routine read_hope</dd>
@@ -241,4 +265,7 @@
 	<dd>a keyword from the routine lec</dd>
 	
+	<dt><a href="./ToBeReviewed/STRUCTURE/chkstru.html#_chkstru">EXTRACT</a></dt>
+	<dd>a keyword from the routine chkstru</dd>
+	
 	<dt><a href="./ToBeReviewed/GRILLE/grille.html#_grille">e1</a></dt>
 	<dd>a parameter from the routine ./ToBeReviewed/GRILLE/grille</dd>
@@ -250,13 +277,4 @@
 	<dd>a parameter from the routine ./ToBeReviewed/GRILLE/grille</dd>
 	
-	<dt><a href="./Matrix/cmset_op.html#_cmset_op">empty1</a></dt>
-	<dd>a keyword from the routine cmset_op</dd>
-	
-	<dt><a href="./Matrix/cmset_op.html#_cmset_op">empty2</a></dt>
-	<dd>a keyword from the routine cmset_op</dd>
-	
-	<dt><a href="./ReadWrite/readoldoparestart.html#_readoldoparestart">en</a></dt>
-	<dd>a keyword from the routine readoldoparestart</dd>
-	
 	<dt><a href="./ToBeReviewed/LECTURE/read_ncdf.html#_read_ncdf">ending</a></dt>
 	<dd>a parameter from the routine ./ToBeReviewed/LECTURE/read_ncdf</dd>
@@ -268,7 +286,4 @@
 	<dd>a parameter from the routine ./ToBeReviewed/PLOTS/DIVERS/addaxe</dd>
 	
-	<dt><a href="./ToBeReviewed/WIDGET/AUTOUR_de_XXX/tracecadre.html#_tracecadre">erase</a></dt>
-	<dd>a keyword from the routine tracecadre</dd>
-	
 	<dt><a href="./ToBeReviewed/PLOTS/DIVERS/checkfield.html#_err_1d">err_1d</a></dt>
 	<dd>a function from the file checkfield.pro</dd>
@@ -286,13 +301,4 @@
 	<dd>a keyword from the routine getfile</dd>
 	
-	<dt><a href="./ToBeReviewed/STRING/putfile.html#_putfile">error</a></dt>
-	<dd>a keyword from the routine putfile</dd>
-	
-	<dt><a href="./ReadWrite/readoldoparestart.html#_readoldoparestart">etab</a></dt>
-	<dd>a keyword from the routine readoldoparestart</dd>
-	
-	<dt><a href="./ReadWrite/readoldoparestart.html#_readoldoparestart">etan</a></dt>
-	<dd>a keyword from the routine readoldoparestart</dd>
-	
 	<dt><a href="./ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_bgroup.html#_cw_bgroup_event">ev</a></dt>
 	<dd>a parameter from the routine ./ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_bgroup</dd>
@@ -352,70 +358,70 @@
 	<dd>a parameter from the routine ./ToBeReviewed/LECTURE/xncdf_lec</dd>
 	
+	<dt><a href="./ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_calendar.html#_cw_cal_move">event</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_calendar</dd>
+	
+	<dt><a href="./ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_calendar.html#_cw_calendar_event">event</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_calendar</dd>
+	
+	<dt><a href="./ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_combobox_pm.html#_cw_combobox_pm_event">event</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_combobox_pm</dd>
+	
+	<dt><a href="./ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_domain.html#_cw_domain_event">event</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_domain</dd>
+	
+	<dt><a href="./ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_droplist_pm.html#_cw_droplist_pm_event">event</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_droplist_pm</dd>
+	
+	<dt><a href="./ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_pagelayout.html#_cw_pagelayout_event">event</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_pagelayout</dd>
+	
+	<dt><a href="./ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_slide_slice.html#_cw_slide_slice_event">event</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_slide_slice</dd>
+	
+	<dt><a href="./ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_slider_pm.html#_cw_slider_pm_event">event</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_slider_pm</dd>
+	
+	<dt><a href="./ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_specifie.html#_cw_specifie_event">event</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_specifie</dd>
+	
+	<dt><a href="./ToBeReviewed/WIDGET/xquestion.html#_xquestion_event">event</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/WIDGET/xquestion</dd>
+	
+	<dt><a href="./ToBeReviewed/WIDGET/xxx.html#_xxx_event">event</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/WIDGET/xxx</dd>
+	
+	<dt><a href="./buildinit.html#_printerdef_event">event</a></dt>
+	<dd>a parameter from the routine ./buildinit</dd>
+	
+	<dt><a href="./buildinit.html#_papsize_event">event</a></dt>
+	<dd>a parameter from the routine ./buildinit</dd>
+	
+	<dt><a href="./Colors/xlct.html#_xlct_event">event</a></dt>
+	<dd>a parameter from the routine ./Colors/xlct</dd>
+	
+	<dt><a href="./ToBeReviewed/WIDGET/AUTOUR_de_XXX/doubleclickaction.html#_doubleclickaction">event</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/WIDGET/AUTOUR_de_XXX/doubleclickaction</dd>
+	
+	<dt><a href="./ToBeReviewed/WIDGET/AUTOUR_de_XXX/identifyclick.html#_identifyclick">event</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/WIDGET/AUTOUR_de_XXX/identifyclick</dd>
+	
+	<dt><a href="./ToBeReviewed/WIDGET/AUTOUR_de_XXX/longclickaction.html#_longclickaction">event</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/WIDGET/AUTOUR_de_XXX/longclickaction</dd>
+	
+	<dt><a href="./ToBeReviewed/WIDGET/AUTOUR_de_XXX/selectfile.html#_selectfile_event">event</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/WIDGET/AUTOUR_de_XXX/selectfile</dd>
+	
+	<dt><a href="./ToBeReviewed/WIDGET/AUTOUR_de_XXX/singleclickaction.html#_singleclickaction">event</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/WIDGET/AUTOUR_de_XXX/singleclickaction</dd>
+	
+	<dt><a href="./ToBeReviewed/WIDGET/AUTOUR_de_XXX/xcreateanim.html#_xcreateanim_event">event</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/WIDGET/AUTOUR_de_XXX/xcreateanim</dd>
+	
+	<dt><a href="./ToBeReviewed/WIDGET/AUTOUR_de_XXX/xxxmenubar_event.html#_xxxmenubar_event">event</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/WIDGET/AUTOUR_de_XXX/xxxmenubar_event</dd>
+	
 	<dt><a href="./ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_calendar.html#_set_cal_combobox">event</a></dt>
 	<dd>a parameter from the routine ./ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_calendar</dd>
 	
-	<dt><a href="./ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_calendar.html#_move">event</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_calendar</dd>
-	
-	<dt><a href="./ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_calendar.html#_cw_calendar_event">event</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_calendar</dd>
-	
-	<dt><a href="./ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_combobox_pm.html#_cw_combobox_pm_event">event</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_combobox_pm</dd>
-	
-	<dt><a href="./ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_domain.html#_cw_domain_event">event</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_domain</dd>
-	
-	<dt><a href="./ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_droplist_pm.html#_cw_droplist_pm_event">event</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_droplist_pm</dd>
-	
-	<dt><a href="./ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_pagelayout.html#_cw_pagelayout_event">event</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_pagelayout</dd>
-	
-	<dt><a href="./ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_slide_slice.html#_cw_slide_slice_event">event</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_slide_slice</dd>
-	
-	<dt><a href="./ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_slider_pm.html#_cw_slider_pm_event">event</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_slider_pm</dd>
-	
-	<dt><a href="./ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_specifie.html#_cw_specifie_event">event</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_specifie</dd>
-	
-	<dt><a href="./ToBeReviewed/WIDGET/xquestion.html#_xquestion_event">event</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/WIDGET/xquestion</dd>
-	
-	<dt><a href="./ToBeReviewed/WIDGET/xxx.html#_xxx_event">event</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/WIDGET/xxx</dd>
-	
-	<dt><a href="./buildinit.html#_printerdef_event">event</a></dt>
-	<dd>a parameter from the routine ./buildinit</dd>
-	
-	<dt><a href="./buildinit.html#_papsize_event">event</a></dt>
-	<dd>a parameter from the routine ./buildinit</dd>
-	
-	<dt><a href="./Colors/xlct.html#_xlct_event">event</a></dt>
-	<dd>a parameter from the routine ./Colors/xlct</dd>
-	
-	<dt><a href="./ToBeReviewed/WIDGET/AUTOUR_de_XXX/doubleclickaction.html#_doubleclickaction">event</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/WIDGET/AUTOUR_de_XXX/doubleclickaction</dd>
-	
-	<dt><a href="./ToBeReviewed/WIDGET/AUTOUR_de_XXX/identifyclick.html#_identifyclick">event</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/WIDGET/AUTOUR_de_XXX/identifyclick</dd>
-	
-	<dt><a href="./ToBeReviewed/WIDGET/AUTOUR_de_XXX/longclickaction.html#_longclickaction">event</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/WIDGET/AUTOUR_de_XXX/longclickaction</dd>
-	
-	<dt><a href="./ToBeReviewed/WIDGET/AUTOUR_de_XXX/selectfile.html#_selectfile_event">event</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/WIDGET/AUTOUR_de_XXX/selectfile</dd>
-	
-	<dt><a href="./ToBeReviewed/WIDGET/AUTOUR_de_XXX/singleclickaction.html#_singleclickaction">event</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/WIDGET/AUTOUR_de_XXX/singleclickaction</dd>
-	
-	<dt><a href="./ToBeReviewed/WIDGET/AUTOUR_de_XXX/xcreateanim.html#_xcreateanim_event">event</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/WIDGET/AUTOUR_de_XXX/xcreateanim</dd>
-	
-	<dt><a href="./ToBeReviewed/WIDGET/AUTOUR_de_XXX/xxxmenubar_event.html#_xxxmenubar_event">event</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/WIDGET/AUTOUR_de_XXX/xxxmenubar_event</dd>
-	
 	<dt><a href="./ToBeReviewed/STRING/strsed.html#_strsed">exp1</a></dt>
 	<dd>a parameter from the routine ./ToBeReviewed/STRING/strsed</dd>
@@ -430,7 +436,4 @@
 	<dd>a file from the directory ./Matrix</dd>
 	
-	<dt><a href="./ToBeReviewed/STRUCTURE/chkstru.html#_chkstru">extract</a></dt>
-	<dd>a keyword from the routine chkstru</dd>
-	
 	<dt><a href="./ToBeReviewed/WIDGET/AUTOUR_de_XXX/extractatt.html#_extractatt">extractatt</a></dt>
 	<dd>a function from the file extractatt.pro</dd>