Index: trunk/SRC/Documentation/xmldoc/firststeps.xml
===================================================================
--- trunk/SRC/Documentation/xmldoc/firststeps.xml	(revision 270)
+++ trunk/SRC/Documentation/xmldoc/firststeps.xml	(revision 291)
@@ -12,6 +12,6 @@
 <!--
 instructions to create html file
-xsltproc ?-?-param  section.autolabel 1 -output firststep.html /sw/share/xml/xsl/docbook-xsl/xhtml/docbook.xsl firststep.xml 
-xsltproc -output firststep.html /sw/share/xml/xsl/docbook-xsl/xhtml/docbook.xsl firststep.xml 
+xsltproc ?-?-param  section.autolabel 1 -output firststep.html /sw/share/xml/xsl/docbook-xsl/xhtml/docbook.xsl firststep.xml
+xsltproc -output firststep.html /sw/share/xml/xsl/docbook-xsl/xhtml/docbook.xsl firststep.xml
 xsltproc  /sw/share/xml/xsl/docbook-xsl/xhtml/chunk.xsl  firststep.xml
 xsltproc ?-?-param  section.autolabel 1 /sw/share/xml/xsl/docbook-xsl/xhtml/chunk.xsl firststep.xml
@@ -31,5 +31,5 @@
     First steps with <application>SAXO</application>
   </title>
-  
+
   <articleinfo>
     <authorgroup>
@@ -57,14 +57,11 @@
 	<revremark>split with getsaxo</revremark>
       </revision>
-     </revhistory>  
+     </revhistory>
      <pubdate>$Id$</pubdate>
   </articleinfo>
-  
-
-  
 <sect1 id="beforefirststeps">
 <title>Before this</title>
 <para>
-In this document, we supposed that you followed <ulink url="./getsaxo.html">Get SAXO</ulink> recommendations. 
+In this document, we supposed that you followed <ulink url="./getsaxo.html">Get SAXO</ulink> recommendations.
 </para>
 </sect1>
@@ -79,5 +76,5 @@
       </title>
       <para>
-	Each IDL session using <application>SAXO</application> must always start with: <prompt>&promptidl;</prompt> <userinput><command>@init</command></userinput>.      
+	Each IDL session using <application>SAXO</application> must always start with: <prompt>&promptidl;</prompt> <userinput><command>@init</command></userinput>.
       </para>
       <para>
@@ -116,6 +113,4 @@
       </variablelist>
       </para>
- 
-     
     </sect2>
     <sect2 id="basic_plots">
@@ -141,16 +136,15 @@
 	    <callout arearefs="findgen">
 	      <para>
-		<command>findgen</command> stands for 
-<emphasis role="bold">f</emphasis>loat <emphasis role="bold">ind</emphasis>ex <emphasis role="bold">gen</emphasis>erator. 
+		<command>findgen</command> stands for
+<emphasis role="bold">f</emphasis>loat <emphasis role="bold">ind</emphasis>ex <emphasis role="bold">gen</emphasis>erator.
 		<screen format="linespecific">
   <prompt>&promptidl;</prompt> <userinput><command>print, findgen(6)</command></userinput>
   <computeroutput>      0.00000      1.00000      2.00000      3.00000      4.00000      5.00000</computeroutput>
 		</screen>
-	      </para> 
+	      </para>
 	    </callout>
 	  </calloutlist>
 	</screenco>
      </para>
-     
       <para>
 	Using IDL <command>plot</command> command is quite inconvenient to save the figure as a postscript. In addition, positioning the figure on the window/page by using <varname>!p.position</varname>, <varname>!p.region</varname> and <varname>!p.multi</varname> is often a nightmare. That's why we developed <command>splot</command> (like super-plot) which can be used in the same way as plot but is much more convenient to make postscript and position the figure.
@@ -188,5 +182,5 @@
 	    <callout arearefs="make_ps">
 	      <para>
-		<remark>If needed, the name of the postscript will automatically be completed with .ps. Just hit return, if you want to use the default postscript name: <filename>idl.ps</filename>.</remark> 
+		<remark>If needed, the name of the postscript will automatically be completed with .ps. Just hit return, if you want to use the default postscript name: <filename>idl.ps</filename>.</remark>
 	      </para>
 	    </callout>
@@ -219,6 +213,6 @@
   <computeroutput>   MODE            LONG               420</computeroutput>
   <computeroutput>   ATIME           LONG64                1122424373</computeroutput>
-  <computeroutput>   CTIME           LONG64                1122424373</computeroutput>        
-  <computeroutput>   MTIME           LONG64                1122424373</computeroutput>        
+  <computeroutput>   CTIME           LONG64                1122424373</computeroutput>
+  <computeroutput>   MTIME           LONG64                1122424373</computeroutput>
   <computeroutput>   SIZE            LONG64                      4913</computeroutput>
 	</screen>
@@ -239,5 +233,5 @@
   <prompt>&promptidl;</prompt> <userinput><command>oplot, y^2, color = 50, linestyle = 2</command></userinput> <ulink url="./figpng/basic_splot4.png">&showfig;</ulink>
 	</screen>
-	Use the keyword small to produce multi plots figures. 
+	Use the keyword small to produce multi plots figures.
 	<screenco>
 	  <areaspec>
@@ -267,5 +261,4 @@
 	</screenco>
       </para>
-     
       </sect3>
 
@@ -275,5 +268,5 @@
       </title>
       <para>
-	Following <command><link linkend="basic_splot">splot</link></command> example, we provide <command>scontour</command> as a "super <command>contour</command>". 
+	Following <command><link linkend="basic_splot">splot</link></command> example, we provide <command>scontour</command> as a "super <command>contour</command>".
 	<screen format="linespecific">
   <prompt>&promptidl;</prompt> <userinput><command>z = dist(n)</command></userinput>
@@ -328,5 +321,5 @@
 	</title>
 	<para>
-	  <command>tvplus</command> is a enhanced version of tvscl and allow you to have a quick look and perform basic exploration of 2D arrays.
+	  <command>tvplus</command> is a enhanced version of <command>tvscl</command> and allow you to have a quick look and perform basic exploration of 2D arrays.
 	  <screen format="linespecific">
   <prompt>&promptidl;</prompt> <userinput><command>tvplus, dist(20)</command></userinput> <ulink url="./figpng/tvplus.png">&showfig;</ulink>
@@ -385,8 +378,8 @@
       <sect3 id="load_fromdata">
 	<title>
-	  Easiest solution: load data grid (regular or not) directly from the data file.
+	  Easiest solution: load data grid (regular or not) directly from the data file
 	</title>
 	<para>
-	  Example of Levitus temperature on a regular 1x1 grid. 
+	  Example of Levitus temperature on a regular 1x1 grid.
 	  <screen format="linespecific">
   <prompt>&promptidl;</prompt> <userinput><command>@tst_initlev</command></userinput>
@@ -493,5 +486,5 @@
 	<simpara><emphasis>Beware, the command is <command>tst_plt</command> and not <command>@tst_plt</command> as <filename>tst_plt.pro</filename> is a procedure and not an include.</emphasis></simpara>
 	<para>
-	  See the results with 
+	  See the results with
 	  <itemizedlist>
 	  <listitem><simpara><command>@tst_initlev</command>&figsplt_lev;</simpara></listitem>
@@ -515,7 +508,7 @@
 	  </screen>
 	</para>
-	  <simpara><emphasis>Beware, the command is <command>tst_pltz</command> and not <command>@tst_pltz</command> as <filename>tst_pltz.pro</filename> is a procedure and not an include.</emphasis></simpara>	  
-	<para>
-	  See the results with 
+	  <simpara><emphasis>Beware, the command is <command>tst_pltz</command> and not <command>@tst_pltz</command> as <filename>tst_pltz.pro</filename> is a procedure and not an include.</emphasis></simpara>
+	<para>
+	  See the results with
 	  <itemizedlist>
 	  <listitem><simpara><command>@tst_initlev</command>&figspltz_lev;</simpara></listitem>
@@ -541,5 +534,5 @@
 	  <simpara><emphasis>Beware, the command is <command>tst_pltt</command> and not <command>@tst_pltt</command> as <filename>tst_pltt.pro</filename> is a procedure and not an include.</emphasis></simpara>
 	<para>
-	  See the results with 
+	  See the results with
 	  <itemizedlist>
 	  <listitem><simpara><command>@tst_initlev</command>&figspltt_lev;</simpara></listitem>
@@ -564,4 +557,4 @@
 
   </sect1>
-  
+
 </article>