Index: trunk/SRC/Calendar/caldat.pro
===================================================================
--- trunk/SRC/Calendar/caldat.pro	(revision 291)
+++ trunk/SRC/Calendar/caldat.pro	(revision 292)
@@ -45,5 +45,5 @@
 ;
 ; @history
-; Translated from "Numerical Recipies in C", by William H. Press,
+; Translated from "Numerical Recipes in C", by William H. Press,
 ; Brian P. Flannery, Saul A. Teukolsky, and William T. Vetterling.
 ; Cambridge University Press, 1988 (second printing).
Index: trunk/SRC/Calendar/julday.pro
===================================================================
--- trunk/SRC/Calendar/julday.pro	(revision 291)
+++ trunk/SRC/Calendar/julday.pro	(revision 292)
@@ -60,5 +60,5 @@
 ;
 ; @history
-; Translated from "Numerical Recipies in C", by William H. Press,
+; Translated from "Numerical Recipes in C", by William H. Press,
 ; Brian P. Flannery, Saul A. Teukolsky, and William T. Vetterling.
 ; Cambridge University Press, 1988 (second printing).
Index: trunk/SRC/Colors/newpalette.pro
===================================================================
--- trunk/SRC/Colors/newpalette.pro	(revision 291)
+++ trunk/SRC/Colors/newpalette.pro	(revision 292)
@@ -22,5 +22,5 @@
 ;
 ; @history
-; Guillaume Roulet (gr\@lodyc.jussieu.fr)
+; Guillaume Roullet (gr\@lodyc.jussieu.fr)
 ; 30/3/1999 s.masson, add _extra, research of the full name, OVER
 ;                       5/5/1999 s.masson
Index: trunk/SRC/Interpolation/extrapolate.pro
===================================================================
--- trunk/SRC/Interpolation/extrapolate.pro	(revision 291)
+++ trunk/SRC/Interpolation/extrapolate.pro	(revision 292)
@@ -47,5 +47,5 @@
 ;
 ; @history
-;  Originaly written by G. Roulet
+;  Originaly written by G. Roullet
 ;  Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;
Index: trunk/SRC/Interpolation/file_interp.pro
===================================================================
--- trunk/SRC/Interpolation/file_interp.pro	(revision 291)
+++ trunk/SRC/Interpolation/file_interp.pro	(revision 292)
@@ -8,5 +8,5 @@
   compile_opt idl2, strictarrsubs
 ;
-; for byte, short and long, convert to double before extrepolation and interpolation
+; for byte, short and long, convert to double before extrapolation and interpolation
   intype = size(data, /type)
   if intype LE 3 THEN data = double(temporary(data))
@@ -15,5 +15,5 @@
   mask = inmask *finite(data)
 ;
-  IF keyword_set(NaN_value) THEN BEGIN 
+  IF keyword_set(NaN_value) THEN BEGIN
     CASE 1 OF
       nan_value GT 1.e6:mask = temporary(mask) * (data LT (nan_value-10.))
@@ -31,6 +31,6 @@
   ENDIF ELSE BEGIN
     data = fromirr(method, temporary(data), inlon, inlat, -1, outlon, outlat, -1, WEIG = weig, ADDR = addr)
-  ENDELSE 
-  
+  ENDELSE
+
   if intype LE 3 THEN data = round(temporary(data))
 
@@ -43,5 +43,5 @@
 ;
 ; @categories
-; Interpolation and NetCDF
+; Interpolation, NetCDF
 ;
 ; @param filein {in}{type=scalar string}
@@ -56,5 +56,5 @@
 ;
 ; @keyword GRIDIN {type=scalar string}{default=set to filein}
-; define the input grid file name. It must exist and must contain the 
+; define the input grid file name. It must exist and must contain the
 ; longitude and latitude axis as 1D or 2D arrays. Useful if
 ; filein file doesn't contain longitude and latitude axis
@@ -62,13 +62,13 @@
 ; @keyword MASKIN {type=scalar string}{default=set to gridin}
 ; define the input mask file name. It must exist. The mask will be
-; determided through <pro>ncdf_getmask</pro> according to the keywords
+; determined through <pro>ncdf_getmask</pro> according to the keywords
 ; inmaskname, ininvmask, inuseasmask, inmissing_value, inaddscl_before
-; (see bellow) 
+; (see below)
 ;
 ; @keyword MASKOUT {type=scalar string}{default=set to gridout}
 ; define the output mask file name. It must exist. The mask will be
-; determided through <pro>ncdf_getmask</pro> according to the keywords
+; determined through <pro>ncdf_getmask</pro> according to the keywords
 ; outmaskname, outinvmask, outuseasmask, outmissing_value,
-; outaddscl_before (see bellow) 
+; outaddscl_before (see bellow)
 ;
 ; @keyword KEEP {type=string array}{default=all variables}
@@ -81,7 +81,7 @@
 ;
 ; @keyword METHOD {type=scalar string}{default='bilinear'}
-; interpolation method: can be only 'bilinear' (or 'imoms3' if the iput grid
+; interpolation method: can be only 'bilinear' (or 'imoms3' if the input grid
 ; is a "regular" grid). A "regular/rectangular grid" is defined as a
-; grid for which  each longitude lines have the same latitude and each
+; grid for which each longitude lines have the same latitude and each
 ; latitude columns have the same longitude.
 ;
@@ -90,5 +90,5 @@
 ; <pro>extrapolate</pro> when extrapolating input data over masked
 ; points.
-; 
+;
 ; @keyword SET_XDIMNAME {type=scalar string}{default=not used}
 ; used to defined the name of x dimension in filein input file when
@@ -105,5 +105,5 @@
 ; containing the x axis name is not the same. By default, we assume
 ; both file have the same x axis name. Not that if filein includes x
-; axis ther is no point to use gridin
+; axis there is no point to use gridin
 ;
 ; @keyword SET_YAXISNAME {type=scalar string}{default=not used}
@@ -112,5 +112,5 @@
 ; @keyword INMASKNAME {type=scalar string}{default=not used}
 ; A string giving the name of the variable in the file maskin that
-; contains the land/sea mask 
+; contains the land/sea mask
 ;
 ; @keyword OUTMASKNAME {type=scalar string}{default=not used}
@@ -119,5 +119,5 @@
 ; @keyword ININVMASK {default=0}{type=scalar: 0 or 1}
 ; Inverse the land/sea mask of the input mask file maskin (that should
-; have 0/1 values for land/sea) 
+; have 0/1 values for land/sea)
 ;
 ; @keyword OUTINVMASK {default=0}{type=scalar: 0 or 1}
@@ -138,5 +138,5 @@
 ; @keyword INMISSING_VALUE {type=scalar}
 ; To define (or redefine if the attribute is already existing) the
-; missing values used by INUSEASMASK keyword 
+; missing values used by INUSEASMASK keyword
 ;
 ; @keyword OUTMISSING_VALUE {type=scalar}
@@ -144,5 +144,5 @@
 ;
 ; @keyword INADDSCL_BEFORE {default=0}{type=scalar: 0 or 1}
-; put 1 to apply add_offset ad scale factor on data before looking for
+; put 1 to apply add_offset and scale factor on data before looking for
 ; missing values when using INUSEASMASK keyword
 ;
@@ -156,5 +156,5 @@
 ;
 ; @keyword ADDR {type=2d array or variable name}
-; 1) at the first call of file_interp: 
+; 1) at the first call of file_interp:
 ;   This keyword can be set to a named variable (undefined or equal to
 ;   0) into which the addresses used to perform the interpolation will
@@ -163,11 +163,11 @@
 ;   to bypass the computation of the weights and addresses used to
 ;   perform the interpolation. In this case, interpolation is much
-;   faster 
+;   faster
 ;
 ; @keyword WEIG {type=2d array or variable name}
 ; (see ADDR)
-; 
+;
 ; @keyword INXAXISNAME {default='x', 'longitude', 'nav_lon', 'lon', 'lon_rho' or 'NbLongitudes'}{type=scalar string}
-; A string giving the name of the variable containning the x axis in
+; A string giving the name of the variable containing the x axis in
 ; the input grid file gridin
 ;
@@ -302,12 +302,12 @@
         indimx = i
         outdimx = outdimid[i]
-      END  
-      strlowcase(name) EQ strlowcase(inydimname): BEGIN 
+      END
+      strlowcase(name) EQ strlowcase(inydimname): BEGIN
         outdimid[i] = ncdf_dimdef(outid, name, jpjout)
         outdimsz[i] = jpjout
         indimy = i
         outdimy = outdimid[i]
-      END 
-      i EQ ininq.recdim: outdimid[i] = ncdf_dimdef(outid, name, /UNLIMITED) 
+      END
+      i EQ ininq.recdim: outdimid[i] = ncdf_dimdef(outid, name, /UNLIMITED)
       ELSE: outdimid[i] = ncdf_dimdef(outid, name, size)
     ENDCASE
@@ -315,5 +315,5 @@
 ;
 ; Variables
-; 
+;
   outvarid = lonarr(ininq.nvars)
   FOR i = 0, ininq.nvars-1 DO BEGIN
@@ -332,5 +332,5 @@
           strlowcase(varinq.name) EQ strlowcase(inxaxisname):BEGIN ; xaxis
             IF outirr THEN dimvar = [outdimx, outdimy] ELSE dimvar = [outdimx]
-          END 
+          END
           strlowcase(varinq.name) EQ strlowcase(inyaxisname):BEGIN ; yaxis
             IF outirr THEN dimvar = [outdimx, outdimy] ELSE dimvar = [outdimy]
@@ -348,7 +348,7 @@
                                     , FLOAT = varinq.datatype EQ 'FLOAT', DOUBLE = varinq.datatype EQ 'DOUBLE')
         ENDIF ELSE outvarid[i] = - 1
-      ENDELSE 
+      ENDELSE
 ; Variables attributes
-      IF outvarid[i] NE - 1 THEN BEGIN 
+      IF outvarid[i] NE - 1 THEN BEGIN
         FOR j = 0, varinq.natts-1 DO BEGIN
           name = ncdf_attname(inid, i, j)
@@ -371,5 +371,5 @@
           IF outirr THEN ncdf_varput, outid, outvarid[i], outlon $
           ELSE ncdf_varput, outid, outvarid[i], outlon[*, 0]
-        END 
+        END
         strlowcase(varinq.name) EQ strlowcase(inyaxisname):BEGIN ; y axis
           IF outirr THEN ncdf_varput, outid, outvarid[i], outlat $
@@ -384,9 +384,9 @@
               ncdf_varget, inid, i, data
               ncdf_varput, outid, outvarid[i], temporary(data)
-            END 
+            END
             1:BEGIN             ; 1D
               ncdf_varget, inid, i, data
               ncdf_varput, outid, outvarid[i], temporary(data)
-            END 
+            END
             2:BEGIN             ; 2D
               ncdf_varget, inid, i, data
@@ -395,5 +395,5 @@
                                                   , WEIG = weig, ADDR = addr, NAN_VALUE = NaN_value, _extra = ex)
               ncdf_varput, outid, outvarid[i], temporary(data)
-            END 
+            END
             3:BEGIN             ; 3D
               FOR k = 0, indimsz[varinq.dim[2]]-1 DO BEGIN
@@ -409,5 +409,5 @@
                 ncdf_varput, outid, outvarid[i], temporary(data), offset = off, count = outcnt
               ENDFOR
-            END 
+            END
             4:BEGIN             ; 4D
               FOR t = 0, indimsz[varinq.dim[3]]-1 DO BEGIN
@@ -424,14 +424,14 @@
                 ENDFOR
               ENDFOR
-            END 
+            END
           ENDCASE
         END
       ENDCASE
-    ENDIF 
+    ENDIF
   ENDFOR
-  
+
   ncdf_close, inid
   ncdf_close, outid
 
   return
-END 
+END
Index: trunk/SRC/Postscript/openps.pro
===================================================================
--- trunk/SRC/Postscript/openps.pro	(revision 291)
+++ trunk/SRC/Postscript/openps.pro	(revision 292)
@@ -130,5 +130,5 @@
 ; show some informations
    IF arg_present(infowidget) THEN $
-    infowidget = xnotice('Postcript file is currently processed...')
+    infowidget = xnotice('Postscript file is currently processed...')
 ;
    RETURN
Index: trunk/SRC/ToBeReviewed/LECTURE/read_ncdf_varget.pro
===================================================================
--- trunk/SRC/ToBeReviewed/LECTURE/read_ncdf_varget.pro	(revision 291)
+++ trunk/SRC/ToBeReviewed/LECTURE/read_ncdf_varget.pro	(revision 292)
@@ -45,5 +45,5 @@
 ;        |--+---+---+|--+---+---+---+-|  +...+..|+...+...+
 ;  in the ........ part, it is easy the first point is number 0 but in
-;  the --------- part the first point is number 3... Ihe position of
+;  the --------- part the first point is number 3... The position of
 ;  the first point in the is given by:
 ;         (key_stride[0]-1)-((key-1) MOD key_stride[0])
Index: trunk/SRC/ToBeReviewed/PLOTS/DESSINE/bar_plot.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DESSINE/bar_plot.pro	(revision 291)
+++ trunk/SRC/ToBeReviewed/PLOTS/DESSINE/bar_plot.pro	(revision 292)
@@ -135,5 +135,5 @@
           TITLE=title, XTITLE=xtitle, YTITLE=ytitle, BASERANGE=baserange, $
           BARWIDTH=barwidth, BARSPACE=barspace, BAROFFSET=baroffset, $
-          OUTLINE=outline, OVERPLOt=overplot, BACKGROUND=background, $
+          OUTLINE=outline, OVERPLOT=overplot, BACKGROUND=background, $
           ROTATE=rotate, _EXTRA = ex
 ;
Index: trunk/SRC/ToBeReviewed/PLOTS/DESSINE/plt.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DESSINE/plt.pro	(revision 291)
+++ trunk/SRC/ToBeReviewed/PLOTS/DESSINE/plt.pro	(revision 292)
@@ -459,5 +459,5 @@
     Conn = [replicate(3, 1, n_elements(trifield)/3), trifield]
     Result = mesh_decimate(temporary(verts), (temporary(Conn))[*] $
-                           , Connout, vertices = Vertsout $
+                           , connout, vertices = Vertsout $
                            , percent_vertices = decimatetri)
     connout = reform(connout, 4,  n_elements(connout)/4, /over)
Index: trunk/SRC/ToBeReviewed/PLOTS/VECTEUR/vecteur.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/VECTEUR/vecteur.pro	(revision 291)
+++ trunk/SRC/ToBeReviewed/PLOTS/VECTEUR/vecteur.pro	(revision 292)
@@ -333,5 +333,5 @@
    direcz = direcz/100.
 ;
-; Stege 1, d)
+; Stage 1, d)
 ; coordinates of the point of the arrow in the cartesian reference.
 
Index: trunk/SRC/ToBeReviewed/TRIANGULATION/ciseauxtri.pro
===================================================================
--- trunk/SRC/ToBeReviewed/TRIANGULATION/ciseauxtri.pro	(revision 291)
+++ trunk/SRC/ToBeReviewed/TRIANGULATION/ciseauxtri.pro	(revision 292)
@@ -4,5 +4,5 @@
 ; Delete arrays which do not have to be drawn thanks to 2 tests:
 ;     1) Corners of the array must be in the window
-;     2) Lengthes of side of triangles expressed in normalized
+;     2) Lengths of side of triangles expressed in normalized
 ;        coordinates must not surpass a sill length.
 ;
@@ -79,5 +79,5 @@
    seuil = 5 < (min([nx, ny])-2)
 ;
-; Now we delete tringles whose one side has a size superior to 1/sill from the domain reserved for the drawing.
+; Now we delete triangles whose one side has a size superior to 1/sill from the domain reserved for the drawing.
 ;
 
Index: trunk/SRC/ToBeReviewed/WIDGET/xnotice.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/xnotice.pro	(revision 291)
+++ trunk/SRC/ToBeReviewed/WIDGET/xnotice.pro	(revision 292)
@@ -39,5 +39,4 @@
 ;
 ; We separate the text in different lines (separated by !C) if it is not done yet...
-; n''est pas deja fait...
 ;
   compile_opt idl2, strictarrsubs